%define current_version 7.0.533.1

%define systemd_generator_dir /usr/lib/systemd/system-generators

Name:           prl-disp-service
Version:        %{current_version}
Release:        1%{?dist}
Summary:        OpenVZ management service
Group:          Applications/Emulators
License:        GPLv2
URL:            http://openvz.org/
ExclusiveArch:  x86_64
Conflicts:	parallels-desktop
Obsoletes:      parallels-server, parallels-kernel-modules
Obsoletes: 	Parallels<4.0, parallels<4.0

Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	libvzctl >= 7.0.279 libprlsdk, vztt-lib, libguestfs
Requires:	openssl, pam, pciutils, libtar, zlib, libvirt >= 1.2.19-1.vz7.6
Requires:	vcmmd, vzctl >= 7.0.1
Requires:	p7zip-plugins, genisoimage, PyYAML
Requires:	libprlcommon
# Do NOT contencate libprlxmlmodel requires - modified by automatic script
Requires:	libprlxmlmodel = 7.0.50
# For python systemd generator
Requires:	libprlsdk-python
Requires:	python-subprocess32

BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: qt4
BuildRequires: iproute-devel
BuildRequires: openssl-devel, pam-devel, boost-devel, libvirt-devel >= 1.2.19-1.vz7.6
BuildRequires: libvzctl-devel >= 7.0.279, vztt-devel, ploop-devel, libguestfs-devel
BuildRequires: libprlsdk-devel >= 7.0.85, libtar-devel, zlib-devel, libqtsolutions-devel
BuildRequires: libprlcommon-devel, libprlxmlmodel-devel
BuildRequires: libvcmmd-devel, systemd-devel


%description
OpenVZ is a powerful, easy to use, cost effective server virtualization
solution that empowers PC users with the ability to create completely
networked, fully portable, entirely independent virtual machines and Containers
on a single physical machine.

# legacy
%package -n prl-disp-legacy
Summary:                OpenVZ legacy components
Group:                  Applications/Emulators
Requires:               virt-v2v

%description -n prl-disp-legacy
Legacy components of OpenVZ management service

# tests
%package tests
Summary:		OpenVZ management service tests
Group:			Development/Tools

%description tests
Internal tests for OpenVZ management service

%prep
%setup -q


%build
export PATH="$PATH:/usr/lib64/qt4/bin"
./Gen.py
cd Dispatcher
qmake-qt4
make %{?_smp_mflags} release
cd Legacy/Migration
qmake-qt4
make %{?_smp_mflags} release
#make debug
cd ../../../Tests
qmake-qt4
make

%install
%{__rm} -rf %{buildroot}
%{__mkdir} %{buildroot}
%{__mkdir} -p %{buildroot}/%{_bindir}/
%{__mkdir} -p %{buildroot}/%{_sbindir}/
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/prelink.conf.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/pam.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/logrotate.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/udev/makedev.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/udev/rules.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/udev/permissions.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/modprobe.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/sysconfig
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/sysctl.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/libvirt/nwfilter
%{__mkdir} -p %{buildroot}/%{_unitdir}
%{__mkdir} -p %{buildroot}/%{_libexecdir}
%{__mkdir} -p %{buildroot}/%{systemd_generator_dir}
%{__mkdir} -p %{buildroot}/%{_localstatedir}/spool/prl-disp

LINDIR=Build/LinUtil/files

install -m 644 ${LINDIR}/prl_prelink.conf %{buildroot}/%{_sysconfdir}/prelink.conf.d/
install -m 644 ${LINDIR}/prl_disp_service.pam %{buildroot}/%{_sysconfdir}/pam.d/prl_disp_service
install -m 644 ${LINDIR}/parallels.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/parallels
install -m 644 ${LINDIR}/55-parallels.permissions %{buildroot}/%{_sysconfdir}/udev/permissions.d/55-parallels.permissions
install -m 644 ${LINDIR}/99-prl-disp.conf %{buildroot}/%{_sysconfdir}/sysctl.d/99-prl-disp.conf
install -m 644 ${LINDIR}/udev-parallels.node %{buildroot}/%{_sysconfdir}/udev/makedev.d/55-parallels.node
install -m 644 ${LINDIR}/udev-parallels.rules %{buildroot}/%{_sysconfdir}/udev/rules.d/55-parallels.rules
install -m 755 ${LINDIR}/rc.sysinit.parallels %{buildroot}/%{_sysconfdir}/rc.sysinit.parallels
install -m 644 ${LINDIR}/blacklist-parallels.conf %{buildroot}/%{_sysconfdir}/modprobe.d/blacklist-parallels.conf
install -m 644 ${LINDIR}/nwfilter/*.xml %{buildroot}/%{_sysconfdir}/libvirt/nwfilter/
install -m 644 ${LINDIR}/prl-disp.service %{buildroot}/%{_unitdir}/prl-disp.service
install -m 644 ${LINDIR}/virtuozzo.target %{buildroot}/%{_unitdir}/virtuozzo.target
install -m 644 ${LINDIR}/prl-disp %{buildroot}/%{_sysconfdir}/sysconfig/prl-disp
install -m 755 ${LINDIR}/create_bridges.py %{buildroot}/%{_libexecdir}/create_bridges.py
install -m 755 ${LINDIR}/virtuozzo-generator %{buildroot}/%{systemd_generator_dir}/virtuozzo-generator
install -m 755 ${LINDIR}/virtuozzo_systemd %{buildroot}/%{_libexecdir}/virtuozzo_systemd
install -m 755 ${LINDIR}/cloud_config_ctl.py %{buildroot}/%{_libexecdir}/cloud_config_ctl.py
install -m 755 ${LINDIR}/prl_disp_reboot %{buildroot}/%{_libexecdir}/prl_disp_reboot
install -m 755 z-Build/Release/prl_disp_service %{buildroot}/%{_sbindir}/prl_disp_service
install -m 755 z-Build/Release/prl_legacy_migration_app %{buildroot}/%{_bindir}/prl_legacy_migration_app
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 COPYING GPL-2.0  %{buildroot}%{_docdir}/%{name}-%{version}/

%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}/
install -m 644 z-Build/Debug/tests/prl-disp-unittests.zip  %{buildroot}/%{_datadir}/%{name}/
install -m 644 z-Build/Debug/tests/pythontests.zip  %{buildroot}/%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%attr(644,root,root) %{_unitdir}/prl-disp.service
%attr(644,root,root) %{_unitdir}/virtuozzo.target
%config %attr(644,root,root) %{_sysconfdir}/sysconfig/prl-disp
%attr(644,root,root) %{_sysconfdir}/pam.d/prl_disp_service
%attr(644,root,root) %{_sysconfdir}/logrotate.d/parallels
%attr(644,root,root) %{_sysconfdir}/udev/makedev.d/*
%attr(644,root,root) %{_sysconfdir}/udev/rules.d/*
%attr(644,root,root) %{_sysconfdir}/udev/permissions.d/*
%attr(644,root,root) %{_sysconfdir}/sysctl.d/*
%attr(755,root,root) %{_sysconfdir}/rc.sysinit.parallels
%attr(644,root,root) %{_sysconfdir}/modprobe.d/blacklist-parallels.conf
%attr(644,root,root) %{_sysconfdir}/prelink.conf.d/prl_prelink.conf
%attr(644,root,root) %{_sysconfdir}/libvirt/nwfilter/*.xml
%attr(755,root,root) %{_sbindir}/prl_disp_service
%attr(755,root,root) %{_libexecdir}/create_bridges.py*
%attr(755,root,root) %{_libexecdir}/cloud_config_ctl.py*
%attr(755,root,root) %{_libexecdir}/virtuozzo_systemd
%attr(755,root,root) %{_libexecdir}/prl_disp_reboot
%attr(755,root,root) %{systemd_generator_dir}/virtuozzo-generator
%{_docdir}/%{name}-%{version}
%dir %attr(755, root,root) %{_localstatedir}/spool/prl-disp

%post
%systemd_post prl-disp.service

%preun
%systemd_preun prl-disp.service

%postun
%systemd_postun_with_restart prl-disp.service

%triggerin -- libvirt-daemon-driver-qemu
[ ! -f /etc/libvirt/qemu.conf ] && exit 0
cat /etc/libvirt/qemu.conf | grep '^user = "root"' > /dev/null 2>&1
[ $? -eq 0 ] && exit 0
echo "user = \"root\"" >> /etc/libvirt/qemu.conf 2>&1
:

%triggerin -- libnl3
ln -s libnl-3.so.200 /usr/lib64/libnl-3.so > /dev/null 2>&1
:

%files tests
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.zip

%files -n prl-disp-legacy
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/prl_legacy_migration_app

%changelog
* Fri Oct 14 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.533.1
 - Retry guest agent watcher for 5 minutes #PSBM-53668

* Tue Oct 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.533
 - Revert back retry on unresponsive avent #PSBM-53492 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Tue Oct 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.532
 - Another cloud-config cdrom fix (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-51466)

* Mon Oct 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.531
 - restoreCtOverExisting: old CT data can be read #PSBM-53434 (Igor Sukhih
<igor@virtuozzo.com>)
 - Warn if nested virtualization is disabled on host (PSBM-50234) (Igor Sukhih
<igor@virtuozzo.com>)
 - remove virtuozzo.target then prl-disp.service goes down (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>) (#PSBM-48046)
 - Warn if nested virtualization is disabled on host (PSBM-50234) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Fri Oct 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.530
 - Use exponentially increasing timeout when get_fsinfo() failed instead of
completely disabled periodic timer. (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Restart collecting timer from reset() slot context. (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Limit fs info stat collecting period to 30 seconds #PSBM-53264 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - Stop periodic flood with errors from guest agent #PSBM-51748 #PSBM-51748
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Fri Oct 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.529
 - Failed to backup a Container with shrinked disk #PSBM-53201 (Igor Sukhih
<igor@virtuozzo.com>)
 - Image::updateDiskInformation: fill SizeInBytes field #PSBM-53201 (Igor Sukhih
<igor@virtuozzo.com>)
 - Rework PloopImage::Image::getEncryptionKeyid() (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Oct 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.528
 - Implement a debug mode for upgrade from VZ6 #PSBM-52526 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Check return code of FSThaw and retry operation if failed (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-53248)
 - Add resolver library initialization on start up (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-53164)

* Thu Oct 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.527
 - remove useless code with misleading logging (PSBM-52919) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - On-crash action implementation (PSBM-51080) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - BUGFIX Teach create_bridges.py to work with any bridge/team
name/configuration style #PSBM-53030 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Check CT state during encryption on libvzctl level (PSBM-52950) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Oct 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.526
 - transponster: set qemu's adapter type for PNT_PTL to 'rtl8139' (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix screenshot resize, #PSBM-52762 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Sep 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.525
 - Support attaching of encrypted CT backups as block devices (PSBM-52091) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Move BackupInfo to Task_AttachVmBackup.h (PSBM-52091) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Sep 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.524
 - arat feature should be disabled in Update1 (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-52808)

* Wed Sep 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.523
 - Increase limit of open files, see #PSBM-52816 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - New cloud-config cdrom should use free indexes (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-51466)

* Tue Sep 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.522
 - Minor fixes: parentheses, one-cycle write (Konstantin Volkov
<wolf@virtuozzo.com>)
 - bug #PSBM-52676 aka prl_disp_service killed by SIGTRAP (Sergey Galas
<shrike@virtuozzo.com>) (#PSBM-42634)
 - Implement autostart = auto mode for VMs and CTs, see #PSBM-51181 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Use existing and initialized server socket in qemu-nbd (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-51946)
 - Use subprocess32 python module as it is more stable (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Add missed break (Konstantin Volkov <wolf@virtuozzo.com>)
 - Implement VMs autosuspend on shutdown/reboot, see #PSBM-50860 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Implement VMs autosuspend on shutdown/reboot, see #PSBM-50860 Implement
autostart = auto mode for VMs and CTs, see #PSBM-51181 Spec part (Konstantin
Volkov <wolf@virtuozzo.com>)

* Tue Sep 27 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.521-2
- Implement VMs autosuspend on shutdown/reboot, see #PSBM-50860
- Implement autostart = auto mode for VMs and CTs, see #PSBM-51181

* Fri Sep 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.521
 - Sync disk images for cloned VM #PSBM-50044 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - ebtables rules not changed if set ip_filter=off on running CT #PSBM-52340
(Igor Sukhih <igor@virtuozzo.com>)
 - Remove cpu_reset logging option from default VM configuration (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Sep 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.520
 - Ignore RemoteHostClosedError for tunnel #PSBM-52486 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Sep 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.519
 - Allow changing encryption settings only when CT is stopped (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Don't ignore empty keyid when updating config (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Local virtual machine's backup optimization (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-51258)
 - Deactivate VM memory management before migration #PSBM-52315 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Temporarily disable addSysrqTriggerToReport call #PSBM-52089 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Sep 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.518
 - fix assert in qt (Sergey Galas <shrike@virtuozzo.com>)
 - Check hdd's serial number valid (PSBM-51713) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - improve error handling at the target side of the tunnel (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Sep 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.517
 - Preserve hdd serial number #PSBM-52322 (Igor Sukhih <igor@virtuozzo.com>)
 - Revert "fix VM autostart" and "restart vcmmd service after reaching virtuozzo
target" (Derbyshev Dmitry <dderbyshev@virtuozzo.com>)

* Thu Sep 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.516
 - Handle DspCmdVmCommitEncryption command (PSBM-51076) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - bug #PSBM-52064 aka second "prlctl pause" process hangs (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Sep 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.515
 - fix for assert in Qt (Sergey Galas <shrike@virtuozzo.com>)
 - Add an ability to restore Containers with encrypted disks (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-49431)

* Tue Sep 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.514
 - fix VM autostart (Derbyshev Dmitry <dderbyshev@virtuozzo.com>)
 - Add an ability to capture Vm screen (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-50870)
 - Fix prlctl set VMID --select-boot-device doesn't work (PSBM-51343) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)
 - bug #PSBM-51830 aka --no-tunnel option for backups & restore (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.513
 - revert 0caccdc53 "CVzHelper::get_env_config_from_file(): pass open flags"
(Igor Sukhih <igor@virtuozzo.com>)
 - CVzHelper.cpp: use 'const SmartPtr<CVmConfiguration>' (Igor Sukhih
<igor@virtuozzo.com>)
 - Load xml specific data on get_env_config_from_file() (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Sep 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.512
 - conf_add_disk_entry: fill disk enryption keyid
 - CVzHelper::get_env_config_from_file(): pass open flags

* Fri Sep 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.511
 - compilation fix in release build (Sergey Galas <shrike@virtuozzo.com>)
 - Temporarily disable hotplug for network devices (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - restart vcmmd service after reaching virtuozzo target (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>)
 - Enable hotplug for network adapters #PSBM-51857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT autostop functionality #PSBM-50873 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Sep 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.510
 - Temporarily disable hotplug for network devices (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - restart vcmmd service after reaching virtuozzo target (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>)
 - Enable hotplug for network adapters #PSBM-51857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT autostop functionality #PSBM-50873 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Sep 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.509
 - Enable hotplug for network adapters #PSBM-51857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT autostop functionality #PSBM-50873 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Sep 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.508
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.506

* Mon Sep 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.505
 - Refactor: CVmEvent*, BaseNode and ProtoSerializer are moved to prlcommon
 - Show 'stopped' state for templates by default #PSBM-51727 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Sep 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.504

* Sat Sep 03 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.503
 - bug #PSBM-51694 aka after online VM migration bridged net adapter is attached
to not existing network. (Sergey Galas <shrike@virtuozzo.com>)
 - Update encryption keyid in CVmConfiguration #PSBM-49431 (Igor Sukhih
<igor@virtuozzo.com>)
 - Get disk encryption keyid #PSBM-49431 (Igor Sukhih <igor@virtuozzo.com>)
 - Set disk encryption keyid #PSBM-49431 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Sep 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.502
 - Wait for running state after snapshot running VM #PSBM-51597 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Sep 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.501
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)
 - Task_BackupHelper: wait for VM stopped state on VM kill #PSBM-51664 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Aug 31 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.500
 - Implement PNA_BRIDGE network type for CT #PSBM-51448

* Wed Aug 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.499
 - Enable/disable firewall rules on VM start/stop #PSBM-51559 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Wait for VM state event before finish VM clone #PSBM-51565 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Aug 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.497
 - Do not dispaly "unknown Ct state" error (Igor Sukhih <igor@virtuozzo.com>)
 - Skip template management on CT creation #PSBM-32832 (Igor Sukhih
<igor@virtuozzo.com>)
 - add PNA_BRIDGE network adapter type support (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - rename PNA_BRIDGED_ETHERNET to PNA_BRIDGED_NETWORK (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Fri Aug 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.496
 - Prepend forward rules in basic firewall #PSBM-51068 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Aug 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.495

* Fri Aug 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.494
 - Implemented fs.* perf counters via qga guest-fs-info #PSBM-49387 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Thu Aug 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.493
 - Run network action on snapshot switch #PSBM-44774 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Dispatcher's crash on app template installation #PSBM-51042 (Igor Sukhih
<igor@virtuozzo.com>)

* Wed Aug 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.492
 - Fix VM's stopping event #PSBM-51061 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Status waiting on VM pause #PSBM-51013 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Aug 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.491
 - Ignore tray open events for stopped VMs #PSBM-50980 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT disk encryption #PSBM-28227 (Igor Sukhih <igor@virtuozzo.com>)

* Tue Aug 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.490
 - bug #PSBM-51028 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50744 aka ['ping6', '2001:db8::2d2e:299b', '-I',
'2001:db8:5b6d::2d2e:2901', '-s', '1016', '-c', '100', '-i', '0.2'] returned 1
Exit code: 1 (Sergey Galas <shrike@virtuozzo.com>)

* Mon Aug 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.489
 - BUGFIX Lock getMultiEditDispConfig with QMutexLocker to avoid hanging locks
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)
 - Apply "raw" CT parameters when applying new CT config. #PSBM-39266 (Anton
Sanarov <asanarov@virtuozzo.com>)
 - Improve logic of destination disk's format determination (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50153)

* Mon Aug 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.488
 - Add xsaveopt, xsavec, xgetbv1, xsaves cpufeatures (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-50970 #PSBM-50115 #PSBM-50966)
 - bug #PSBM-50955 aka Crash on PrlSrv_UpdateNetworkShapingConfig (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Aug 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.486
 - bug #PSBM-50923 aka backup disk couldn't be added on running VM (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50367 aka Failed to migrate the VM (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Aug 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.485
 - bug #PSBM-50623 aka RempyError: [Errno 113] No route to host (Sergey Galas
<shrike@virtuozzo.com>)
 - Collect light coredumps for vz[a-z]* applications #PSBM-50895 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add proper eject signal handling within guest (Sergey Galas
<shrike@virtuozzo.com>) (#PSBM-49299 #PSBM-47958)
 - An ability to restore VEs from a remote server (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50512)

* Thu Aug 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.484
 - bug #PSBM--50623 aka prlctl: --autostop does not working (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Pass bandwidth value to the backup-client application #PSBM-47396 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Thu Aug 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.483
 - bug #PSBM-48772 aka Start local VM during restore on dst should be fail
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Aug 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.482
 - Generate new VM bundle name for cloned VM (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Aug 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.481
 - Remove unused redundant CDspVmDirHelper::getVmDirUuidByVmUuid(const QString&)
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - fillVmState: fix VM state for templates #PSBM-50762 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.480
 - bug #PSBM-49955 aka dump: core-prl_disp_servic (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.479
 - template migration: support switch to VM migration #PSBM-50579 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - An ability to make remote backups for virtual machines (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50510)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.478
 - An ability to create a Container's backup on remote servers (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50511)
 - Encrypted VNC for vms (Sergey Galas <shrike@virtuozzo.com>)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.477
 - migration: fix VM template flag (Dmitry Andreev <dandreev@virtuozzo.com>)
 - migration: search PVMT_* flags in request flags #PSBM-50579 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - template migration: support switch to template migration #PSBM-50579 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Aug 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.476
 - Fix compilation: add dependencies for legacy migration (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Limit file copier speed by bandwidth #PSBM-47396 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Don't check VM state for templates in migration task #PSBM-49385 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Aug 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.475
 - Limit file copier speed by bandwidth #PSBM-47396 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Don't check VM state for templates in migration task #PSBM-49385 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Aug 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.474
 - Wrong struct Agent used as event state #PSBM-50348 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Fri Jul 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.473
 - Make --device-del remove attached backup data (PSBM-49729) (Sergey Galas
<shrike@virtuozzo.com>)
 - Fix double slash problem on linux guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-50251)
 - Changed user_config file format for Windows guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-50092)
 - vz6->vz7 migration: return error if prl_legacy_migration_app is missing
\#PSBM-49397 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-50228 aka testVmCpulimitType ERROR: dump: core-{cd98fd26-5364--
1469685783.12185 (Sergey Galas <shrike@virtuozzo.com>)
 - Notify all clients if failed to set network rates on VM start #PSBM-41865
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove unused nettool option from cloud_config_ctl (Alexander Burluka
<aburluka@virtuozzo.com>)
 - bug #PSBM-49317 aka Process reboot and agent started events (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jul 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.472
 - bug #PSBM-50228 aka testVmCpulimitType ERROR: dump: core-{cd98fd26-5364--
1469685783.12185 (Sergey Galas <shrike@virtuozzo.com>)
 - Notify all clients if failed to set network rates on VM start #PSBM-41865
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-49317 aka Process reboot and agent started events (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jul 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.471
 - Change CT name on register action #PSBM-50026 (Igor Sukhih
<igor@virtuozzo.com>)
 - Preserve 'basic firewall', #PSBM-48131 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Wed Jul 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.470
 - Replace libtar with new libarchive interface for problem reports #PSBM-48887
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - default initializer (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49228 aka Changing VM memory online corrupt 'configuration file'
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49955 aka dump: core-prl_disp_servic-1469108018.12391 (Sergey Galas
<shrike@virtuozzo.com>)
 - VM template migration code cleanup #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support VM template migration #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jul 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.469
 - Replace libtar with new libarchive interface for problem reports #PSBM-48887
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - default initializer (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49228 aka Changing VM memory online corrupt 'configuration file'
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49955 aka dump: core-prl_disp_servic-1469108018.12391 (Sergey Galas
<shrike@virtuozzo.com>)
 - VM template migration code cleanup #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support VM template migration #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jul 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.468
 - Fix migration #PSBM-49972 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - vz6->vz7: finalize disk migration before convertion #PSBM-49875 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-49868 aka 33% performance degradation (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jul 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.467
 - bug #PSBM-49213 aka rate5_iter0 TIMEDOUT: Function readline timeouted (Sergey
Galas <shrike@virtuozzo.com>)
 - Fix quoting bugs on password instructions (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-49804 #PSBM-49133)
 - adjustClock: do not round offset #PSBM-49843 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - adjustClock: fix roundation for negative numbers #PSBM-49842 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Preserve original CT name on restore #PSBM-49691 (Igor Sukhih
<igor@virtuozzo.com>)
 - Set current VM home path to VM config after restore from backup #PSBM-49764
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Add ipv4 and ipv6 statistics filters, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Return ipv4 and ipv6 classful separately, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jul 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.466
 - bug #PSBM-49749 aka interrupted_suite.cancelled_backup ERROR: dump:
core-{112d2c45-1dd1--1468631960.11273 (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.19
 - Remove timeout for 'qemu-img convert' in restore backup #PSBM-49668 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.465
 - Remove timeout for 'qemu-img convert' in restore backup #PSBM-49668 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.17
 - Enable caching for backup's compressed NBD #PSBM-49709 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.16

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.464
 - Enable caching for backup's compressed NBD #PSBM-49709 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.463
 - bug #PSBM-49492 aka backup_restore_rsync FAIL: prlctl restore returned 255
(Sergey Galas <shrike@virtuozzo.com>)
 - Unicode fixup in cloud_config_ctl.py (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-49172 #PSBM-49133 #PSBM-42495)
 - Sort interfaces on bridge creation. (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Wait for suspended state if register suspended VM #PSBM-49573 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add requirement of virt-v2v to prl-disp-legacy #PSBM-49427 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jul 13 2016 Dmitry Andreeev <dandreev@virtuozzo.com> 7.0.462-2
 - Add requirement of virt-v2v to prl-disp-legacy #PSBM-49427

* Wed Jul 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.462
 - Set initial clock offset for windows #PSBM-49185 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Listen rtc_change event and update inactive configuration #PSBM-49185 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add a special builder to change adjustment #PSBM-49185 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Use StackIndex for interface slot number (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-49585)
 - Revert "Do not set device address for disks in Transponster #PSBM-49403"
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not rewrite clock offset on configuration update #PSBM-49185 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Jul 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.461
 - Fix compilation (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not set device address for disks in Transponster #PSBM-49403 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Use ' instead of " in power shell around user and password #PSBM-49462
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - get rid of ugly updater (Sergey Galas <shrike@virtuozzo.com>)
 - Rename dbus service for cpufeatures and remove superfluous QDBusInterface
\#PSBM-48757 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update confgurations for all VMs on changes in CPU features mask #PSBM-48757
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix quotes in cloud-init, #PSBM-49447 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jul 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.460
 - Do not set device address for disks in Transponster #PSBM-49403 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Use ' instead of " in power shell around user and password #PSBM-49462
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - get rid of ugly updater (Sergey Galas <shrike@virtuozzo.com>)
 - Rename dbus service for cpufeatures and remove superfluous QDBusInterface
\#PSBM-48757 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update confgurations for all VMs on changes in CPU features mask #PSBM-48757
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix quotes in cloud-init, #PSBM-49447 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Jul 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.9
 - bug #PSBM-49009 aka prl_disp should not overwrite memory stats update period
after vcmmd (Sergey Galas <shrike@virtuozzo.com>)
 - postpone perf stats polling for vms until completion of a previous one.
(Sergey Galas <shrike@virtuozzo.com>)

* Fri Jul 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.459
 - compilation fix (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49009 aka prl_disp should not overwrite memory stats update period
after vcmmd (Sergey Galas <shrike@virtuozzo.com>)
 - Fix usb controller on PCS6 VM conversion, #PSBM-49363 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - vz6->vz7 migration: return conversion errors with a descripion #PSBM-49213
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Jul 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.458
 - bug #PSBM-49009 aka prl_disp should not overwrite memory stats update period
after vcmmd (Sergey Galas <shrike@virtuozzo.com>)
 - Fix usb controller on PCS6 VM conversion, #PSBM-49363 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - vz6->vz7 migration: return conversion errors with a descripion #PSBM-49213
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jul 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.457

* Mon Jul 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.456
 - cleanup: header and detached existance for CDspDBusHub (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add DBus hub (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-48757)
 - Ignore btrfs snapshots in mounter, #PSBM-49268 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jul 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.455
 - Adjust rtnl_talk's arguments to the new version of iproute (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add more logs for vz6->vz7 migration #PSBM-49158 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix network stats collection, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - postpone perf stats polling for vms until completion of a previous one.
(Sergey Galas <shrike@virtuozzo.com>)
 - Get CT running state helper (Igor Sukhih <igor@virtuozzo.com>)
 - vz6->vz7 migration: check if VNC port is busy #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Revert Makefile.version update (Igor Sukhih <igor@virtuozzo.com>)
 - Update disp config on cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - MERGE (Igor Sukhih <igor@virtuozzo.com>)
 - CVzHelper::set_rate: incorrect VM id (Igor Sukhih <igor@virtuozzo.com>)
 - Fix wrong isConverted check in VmConverter #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Compression on Container's backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48900)

* Fri Jul 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.454
 - Fix network stats collection, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - postpone perf stats polling for vms until completion of a previous one.
(Sergey Galas <shrike@virtuozzo.com>)
 - Get CT running state helper (Igor Sukhih <igor@virtuozzo.com>)
 - vz6->vz7 migration: check if VNC port is busy #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Revert Makefile.version update (Igor Sukhih <igor@virtuozzo.com>)
 - Update disp config on cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - MERGE (Igor Sukhih <igor@virtuozzo.com>)
 - CVzHelper::set_rate: incorrect VM id (Igor Sukhih <igor@virtuozzo.com>)
 - Fix wrong isConverted check in VmConverter #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Compression on Container's backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48900)

* Fri Jul 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.8

* Wed Jun 29 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.451.7
 - Compression on Container's backup (#PSBM-48900)

* Wed Jun 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.6
 - Get CT running state helper (Igor Sukhih <igor@virtuozzo.com>)

* Wed Jun 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.5
 - Fix quotes and slash escaping in cloud_config_ctl.py (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-49080)

* Wed Jun 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.4
 - vz6->vz7 migration: check if VNC port is busy #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jun 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.451.3
 - CVzHelper::set_rate: incorrect VM id
 - Update disp config on cmdRestartNetworkShaping #PSBM-42178
 - Get VM configurations from Registry for shaping update #PSBM-42178
 - Fix wrong isConverted check in VmConverter #PSBM-49060
 - Add log rotation for new libvirt client log PSBM-49061

* Tue Jun 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.452
 - Get VM configurations from Registry for shaping update #PSBM-42178 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add log rotation for new libvirt client log PSBM-49061 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Reset CT shaping parameters on shaperrestart action #PSBM-42178 (Igor Sukhih
<igor@virtuozzo.com>)
 - Add default system log to problem reports (Dmitry Mishin <dim@virtuozzo.com>)
 - Do log libvirt client library messages neither to syslog nor to libvirt's
daemon log (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-49061)
 - bug #PSBM-49054 aka Cannot set name (Sergey Galas <shrike@virtuozzo.com>)
 - code cleanup: CDspVmDirHelper::setNetworkRate() (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Jun 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.2
 - fork version (Sergey Galas <shrike@virtuozzo.com>)
 - Reset CT shaping parameters on shaperrestart action #PSBM-42178 (Igor Sukhih
<igor@virtuozzo.com>)
 - Add default system log to problem reports (Dmitry Mishin <dim@virtuozzo.com>)
 - Do log libvirt client library messages neither to syslog nor to libvirt's
daemon log (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-49061)
 - bug #PSBM-49054 aka Cannot set name (Sergey Galas <shrike@virtuozzo.com>)
 - code cleanup: CDspVmDirHelper::setNetworkRate() (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Jun 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451
 - Restart shaping in cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed ploop umount on stopped Container's case (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-49014)
 - Fix path to vz service binary #PSBM-42178 (Igor Sukhih <igor@virtuozzo.com>)
 - Reimplement cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-48409 aka testStartStop TIMEDOUT: Function wait timeouted (Sergey
Galas <shrike@virtuozzo.com>)
 - Read shaping configuration from disp config #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Reset shaping if shaping was updated in disp config #PSBM-42178 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Jun 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.450
 - bug #PSBM-48823 aka Template switched back to VM could not be started (Sergey
Galas <shrike@virtuozzo.com>)
 - Store network shaping config and network classes in disp config #PSBM-42178
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Mon Jun 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.449
 - Fixed problem reporting in a case of failure (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48937)
 - Fix compilation after a recent merge (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove network shaping restart on vzctl event #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Added team network interfaces suppoer, see #PSBM-48962 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - merge bug #PSBM-33364 from the pcs6 tree (Sergey Galas
<shrike@virtuozzo.com>)

* Sat Jun 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.448
 - Additional cleanup after removing isServerMode[PSBM] (PSBM-48870) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Unicode password support for linux guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48640)
 - Cleanup isServerMode[PSBM] (PSBM-48870) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add uncompression flag for the vz_backup_client (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48503)
 - coverity-117394 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Disallow changing net device mac addess for running VM #PSBM-48846 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.447

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.446
 - bug #PSBM-48794 aka can't start the VNC (Sergey Galas <shrike@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.445
 - Report tools version from Vm config so it will work for both templates and
VM. Removed tools version from getToolsState() api since it is not used anymore.
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Change error text for online migration on clone mode #PSBM-48776 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Keep NVRAM on VM undefine. NVRAM is removed with VM bundle (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.444
 - Introduced Vm::Guest::Actor and Vm::Guest::Watcher without changes in
functionality. (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - run guest command out of config editor scope (out of atomic lock) (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - completely removed editvm offline personalization (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Run prl_nettool with full network condig when vm transits to RUNNING state
\#PSBM-44067 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.443
 - Prohibit "hypervisor" feature disabling (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48752)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.442
 - bug #PSBM-48229 aka Pipe empty or closed (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.441
 - coverity-117360 Out-of-bounds write (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Check whenever change sid is possible from vm config #PSBM-48716 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - Cleanup unused system events monitoring (Dmitry Mishin <dim@virtuozzo.com>)
 - coverity-117244 Buffer not null terminated (IFNAMSIZ) (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.440
 - Improve error messaging on hardware conversion, #PSBM-48183 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Use kvmclock timer in domain configuration by default #PSBM-48725 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Get rid of old disk encryption interface (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Ignore invalid cpu features masks (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48738)
 - VM migration: use src VM name in dst domain config #PSBM-48728 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.439
 - coverity-117353 Mixing enum types (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117405 Dereference before null check (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117455 Uninitialized pointer field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117457 Structurally dead code (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-126331 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117393 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix VM first start on PCS6 restore, #PSBM-48559 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix race in migration tunnel #PSBM-48710 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - log libvirt error on virStreamSend failure #PSBM-44768 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Always update cpu features on PCS6 restore, #PSBM-48559 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Check event loop exit code, #PSBM-48559 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Long live for a cid counter in exec #PSBM-44768 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.438
 - Call cpufeatures binary only when mask was updated (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48697)
 - code cleanup: remove unused functionality adjustTotalRunningCtMemory (Igor
Sukhih <igor@virtuozzo.com>)
 - Fixed bitmask getter to work with domains with spaces in their names (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-48704)

* Tue Jun 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.437
 - CDspVzHelper::getCtConfigList(): fix deadlock #PSBM-48671 (Igor Sukhih
<igor@virtuozzo.com>)
 - Wait for a qemu process start (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48350)
 - Fixed compilation broken by commit 1bbef164 (Igor Sukhih
<igor@virtuozzo.com>)
 - CVzHelper: code cleanup (Igor Sukhih <igor@virtuozzo.com>)
 - Code cleanup CDspStarter (Igor Sukhih <igor@virtuozzo.com>)

* Tue Jun 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.436
 - bug #PSBM-48602 aka dump: core-Libvirt::Host-1466302973.24988 (Sergey Galas
<shrike@virtuozzo.com>)
 - coverity-117401 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117402 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117410 Uninitialized scalar variable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117459 code cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117414 Uninitialized scalar variable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Real IP addresses are not shown for containers #PSBM-48176 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Jun 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.435
 - Fix backup/restore with UNCOMPRESSED flag (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48367)
 - coverity-117460 Wrapper object use after free (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Detect guest agent state changes asynchroneosly #PSBM-42667 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Mon Jun 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.434
 - Prohibit incremental backup if the last one was deleted (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48506)
 - coverity-117404 Wrong use of 'this' in place of 'true' (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Jun 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.433
 - coverity-117403 reference to a local object outside of it's scope (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - coverity-117391 Fix WRITE_TRACE message (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117396-117397 Resource leaks (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117278 Drop redundant SaReFile support (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Jun 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.432
 - vz6->vz7 migration: prohibit clone mode (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-48538)
 - Return a specific error for old-styled backups (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47789)
 - Update error text for offline vz6->vz7 migration #PSBM-48332 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.431
 - Merge Agent::Configuration with Agent::Runtime #PSBM-45713 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support EFI Vm vz6->vz7 migration #PSBM-48417 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add network statistics for stopped VMs (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48219)
 - Update CPU limits for all VMs on disp config changed #PSBM-45713 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Emit signal about disp config changed (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.430
 - Keep-chain functionality for backup-delete (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47789)

* Fri Jun 17 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.429
 - Fixed lock dir for systemd generator
 - Do not start NBD devices for VM backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48250)

* Thu Jun 16 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.428
 - Fixed loggind in systemd-generator, see #PSBM-48456

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.427
 - Do not preallocate disk space on restoration from backup (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48366)

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.426
 - bug #PSBM-48399 aka ERROR: KeyError: u'' (Sergey Galas
<shrike@virtuozzo.com>)
 - Remove CT autostart functionality #PSBM-48380 (Igor Sukhih
<igor@virtuozzo.com>) (#PSBM-47648)

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.425
 - Select only autostart units (Konstantin Volkov <wolf@virtuozzo.com>)
 - Use constant to switch between VM/CT (Konstantin Volkov <wolf@virtuozzo.com>)
 - Added std GPL header (Konstantin Volkov <wolf@virtuozzo.com>)
 - Correct exception (Konstantin Volkov <wolf@virtuozzo.com>)
 - Added sdk errors parser (Konstantin Volkov <wolf@virtuozzo.com>)
 - Drop not autostart CT/VMs at sdk output (Konstantin Volkov
<wolf@virtuozzo.com>)
 - log error if sdk calls failed (Konstantin Volkov <wolf@virtuozzo.com>)
 - Some cleanup (Konstantin Volkov <wolf@virtuozzo.com>)
 - Use predefined constants for VM and CTs (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Implement systemd units generator which creates units for VMs and CTs and
autostart them, see #PSBM-47648 (Konstantin Volkov <wolf@virtuozzo.com>)
 - Install systemd generator, see #PSBM-47648 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Wed Jun 15 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.424-2
- Install systemd generator, see #PSBM-47648

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.424
 - bug #PSBM-48260 aka Collect memory statistics for all guests by one request
in prl-disp (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.423
 - Fix bad cpufeatures regexp in capabilities schema (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48043)
 - bug #PSBM-47402 aka SSL certs for VNC (Sergey Galas <shrike@virtuozzo.com>)
 - Do not check CPU compatibility for vz6->vz7 migration #PSBM-48337 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - vz6->vz7 migration: return error code to the source #PSBM-48265 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Bugfix in v2v calling sequence, #PSBM-47811 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jun 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.422
 - Fixed crash during parallel VM backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48318)

* Tue Jun 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.421
 - Remove incorrect extended EDX features name (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48139)

* Tue Jun 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.420

* Mon Jun 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.419
 - Get and process containters states on disp start #PSBM-48262 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix statistics reporting for VMs #PSBM-48287 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-48233 aka offline.changesid FAIL: Cannot migrate (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jun 13 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.418-2
- Install virtuozzo.target, see #PSBM-47106

* Mon Jun 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.418
 - Implement the virtuozzo.target, see #PSBM-47106 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Wrong argument for V2V ctor in Converter::getV2V #PSBM-48284 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.417
 - Wait for target completion in VM backup as well (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48258)

* Fri Jun 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.416
 - Fixed backup without compression creation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48251)
 - Explicitly remove addresses if none present, #PSBM-48155 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Skip conversion of VMs w/o disks, #PSBM-47811 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Jun 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.415
 - Do not collect performance statistics for removed VM/CT #PSBM-48174 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Return error on an attempt to add non-supported hardware to a Container
PSBM-46190 (Dmitry Mishin <dim@virtuozzo.com>)

* Thu Jun 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.414
 - vz6->vz7 convertor: disable network ifaces for first start (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-48098 #PSBM-48099)
 - bug #PSBM-48163 aka PlsCtlError: prlctl returned 255 (Sergey Galas
<shrike@virtuozzo.com>)
 - Do first start after VM migration or backup restore from Vz6 (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-48099 #PSBM-48098)

* Thu Jun 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.413
 - Optimize disks restoration (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48157)

* Wed Jun 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.412
 - Fix tunnel disable #PSBM-48074 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jun 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.411
 - Check that memguarantee value is <= 100% #PSBM-48023 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Return error on CT migration with PVMT_DIRECT_DATA_CONNECTION. Unimplemented
\#PSBM-47968 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Prohibit EFI bootloader migration from Vz6 to Vz7 #PSBM-48080 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make a reasonable error for OpenVZ users on backup attempt (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-39194)
 - Invert PVMT_TUNNELED and rename it to PVMT_DIRECT_DATA_CONNECTION #PSBM-47968
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Minor cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not replace invalid symbols in VM name on create/clone/rename #PSBM-48016
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.410
 - Invert PVMT_TUNNELED and rename it to PVMT_DIRECT_DATA_CONNECTION #PSBM-47968
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Minor cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not replace invalid symbols in VM name on create/clone/rename #PSBM-48016
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.409
 - Disable another unimplemented in QEMU CPU features (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48052)
 - Active bitmap detection mechanism (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47796)
 - Add check to CT config validation to test that HDD images exist #PSBM-47483
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Allow scsi stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert adding PMU on pcs6 vm conversion, #PSBM-48027 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Consider stack index collision a critical error, #PSBM-47818 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in per-iface verification (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.408
 - Disable another unimplemented in QEMU CPU features (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48052)
 - Active bitmap detection mechanism (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47796)
 - Add check to CT config validation to test that HDD images exist #PSBM-47483
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Allow scsi stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert adding PMU on pcs6 vm conversion, #PSBM-48027 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Consider stack index collision a critical error, #PSBM-47818 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in per-iface verification (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.407
 - Add check to CT config validation to test that HDD images exist #PSBM-47483
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Allow scsi stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert adding PMU on pcs6 vm conversion, #PSBM-48027 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Consider stack index collision a critical error, #PSBM-47818 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in per-iface verification (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.406
 - Remove superfluous quotes around prl_nettool #PSBM-47987 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - MaxVmMemory may be defined by user, no need to rewrite it #PSBM-47890 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Sat Jun 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.405
 - Use tunnel for migration if PVMT_TUNNELED flag is set #PSBM-47968 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Set migration IO bandwidth equal to VZ_TOOLS_IOLIMIT value from vz.conf
\#PSBM-47396 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not remove MaxVCpu value on CpuFeatures reset #PSBM-47890 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Skip BOND attributes for bondinf device (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Skip bonding slave interfaces on bridge creation, see #PSBM-39660 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Fixed restoration from vz6 backups (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47929)

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.404
 - Fix CT vz6->vz7 migration: ct package handling doesn't require to emit
\#PSBM-47815 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix cr8legacy feature name error in dispatcher (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47494)
 - Return an error if user tries to create internal snapshot when block device
is attached #PSBM-47660 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - set the memory statistics collection period for running vms only (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.403
 - Modify libvirt config "cpu" section (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47573)
 - Use current VM config to find snapshot metadata #PSBM-41518 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Start cloud_config_ctl.py using list of args #PSBM-44576 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Prohibit remote backup/restore (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47621)
 - bug #PSBM-47882 aka A few first performance statistics event for VMs are
empty (zero values) (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.402
 - Insert guest tools cdrom on VM conversion, #PSBM-47722 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Limit VCpu number by the value from disp config #PSBM-47890 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Change default max VM memory size to 256G #PSBM-47890 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Rework Cdrom and floppy matching in configs, #PSBM-47722 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Jun 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.401
 - Store snapshot's metadata in VM home directory #PSBM-47883 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Jun 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.400
 - Allow multiple simultaneous migrations from Vz6 #PSBM-47741 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed restoration of Containers and VMs if it takes too long (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47652)

* Thu Jun 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.399
 - Disable unimplemented in QEMU feature mp (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47853)
 - Disable unimplemented in QEMU features sgx (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47864)
 - vz6->vz7 migration: create target directory before disk space check
\#PSBM-47740 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Cancel migration on write error #PSBM-47740 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.398
 - Backup clients error handling improvement (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47773)
 - Fix name of clflushopt CPU feature (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47840)
 - vz6->vz7 migration: remove temporary files on target #PSBM-47739 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.397
 - Allow attaching qcow-based backups to a VM (PSBM-47462) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Transponster: Direct: set default CPU params for empty CPU input #PSBM-47781
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.396
 - Allow attaching qcow-based backups to a VM (PSBM-47462) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Transponster: Direct: set default CPU params for empty CPU input #PSBM-47781
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.395
 - Disable unsupported CPU features (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46985)
 - Reverted change in prlsdk tests which made ERR_UNIMPLEMENTED as success for
GetLicenseInfo #PSBM-47755 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.394
 - Reimplement performance statistics gathering using
virConnectGetAllDomainStats #PSBM-47669 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Set routes for subnets on routed interfaces, #PSBM-44285 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.393
 - Fixed crash on CT restore error path PSBM-47704 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Log backup client command line (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47743)
 - Log backup client command line PSBM-47693 (Dmitry Mishin <dim@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.392
 - Fix null pointer dereference #PSBM-47692 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CPU pools management improvement (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-47369)
 - Use maximum frequency for cpu limits calculation, #PSBM-47613 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.391
 - Do not start legacy prl_backup_server for new backup mode (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47619)
 - Log backup client command line PSBM-47693 (Dmitry Mishin <dim@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.390
 - Pass ostype to vcmmd on VE registration (Konstantin Neumoin
<kneumoin@virtuozzo.com>) (#PSBM-46796)
 - Prevent stack index collisions on device conversion, #PSBM-47453 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Refactoring: extract convertHardware into helper, #PSBM-47453 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Sat May 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.389
 - Handle attached backup hotplug cases (PSBM-44137) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Make vz progress reporting easier #PSBM-46042 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Use pipe for CT migration progress notification #PSBM-46042 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Enable attached backups on VM start/resume (PSBM-44137) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Directly pass ploop device instead of VD wrapper to VM config (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Disable attached backups on VM stop/suspend (PSBM-44137) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Distinguish attached backups from ordinary disks in guest by SN (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Partly revive the removed attach backup functionality for VMs (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Set device alias for floppies and HDDs during Direct transform (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Preserve storage URL during Reverse/Direct conversion (PSBM-44137) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Sat May 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.388
 - bug #PSBM-47641 aka dispatcher crashed (Sergey Galas <shrike@virtuozzo.com>)
 - Reflect new backup mode archives paths in GetBackupTree (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47594)
 - Fixed virtual machines' hdd suffix (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47618)

* Fri May 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.387
 - Fix progress notification from vzctl #PSBM-46042 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri May 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.386
 - Enable "prlctl delete" to delete invalid VMs. #PSBM-45622 (Anton Sanarov
<asanarov@virtuozzo.com>)
 - bug #PSBM-47531 aka dump: core-QThread-1464189365.12953 (Sergey Galas
<shrike@virtuozzo.com>)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.385
 - Fixed deadlock when cancelling guest-exec task #PSBM-46686 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - Fix backup of stopped Containers (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47584)

* Thu May 26 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.384-2
- Removed requires to parallels-server-bm-release

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.384
 - Use a single PIT for full and incremental backups (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441 #PSBM-44473)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.383
 - Containers restoration from new backups (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Update CpuFeatures on pcs6 VM restore over existing, #PSBM-47481 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fixed crash in backups listing, introduced by recent refactoring (Dmitry
Mishin <dim@virtuozzo.com>)
 - Reload config after directory moving, #PSBM-47481 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Update libvirt config on vm restore, #PSBM-47481 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Prohibit migration from PCS6.0 if VM has VNC port < 5900 #PSBM-40177 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Unify Container's Hdd path property with virtual machines (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44473)

* Wed May 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.382
 - 'Push' to NBD target for Container's backup (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44473)
 - Set virtuozzo specific parameters to domains that unexpectedly appeared
\#PSBM-45720 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed May 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.381
 - Remove gui from QT components list (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Add libvirt -> vz error code mapping #PSBM-41859 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - More logs about vstorage (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.380-2
 - add prl_legacy_migration_app to the spec file (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.380
 - Use a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)
 - Cleanup: clean up Backup::Archive struct (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Set <link state='down'> for disconnected network devices #PSBM-47459 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.379
 - they asked for a bigger timeout value for performance collecting. ok (Sergey
Galas <shrike@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.378
 - Legacy migration code cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Implement a task for Vz6->Vz7 VM migration and an auxiliary migration app.
(Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-40857)
 - bug #PSBM-47441 aka prl_disp eats 18% cpu (Sergey Galas
<shrike@virtuozzo.com>)
 - Revert "Use a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427" (Sergey Galas
<shrike@virtuozzo.com>)
 - Use a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)
 - Check per-interface number of devices on PCS6 VM restore, #PSBM-47251 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon May 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.377
 - Source part of new Container's backup scheme (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44473)
 - Do not check access for disabled and disconnectd devices #PSBM-47125 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Clean up unused code chunk (Dmitry Mishin <dim@virtuozzo.com>)
 - Enhance checking for IP conflicts. #PSBM-33726 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Sat May 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.376
 - Refactor: unify Container's & Vm create backup tasks where possible (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Translate VIR_ERR_OPERATION_INVALID libvirt error to
PRL_ERR_INVALID_ACTION_REQUESTED #PSBM-46282 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Style: clean up unused functions (Dmitry Mishin <dim@virtuozzo.com>)
 - Style: no "local" operations mode for VMs backup, clean up code (Dmitry
Mishin <dim@virtuozzo.com>)

* Sat May 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.375
 - bug #PSBM-47322 aka Error occurred while edit VM with code
[0x80000105][PRL_ERR_VM_UUID_NOT_FOUND] (Sergey Galas <shrike@virtuozzo.com>)
 - Enable PMU on converted from PCS6 VM, #PSBM-47240 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Pass PMU virtualization to/from libvirt config, #PSBM-47240 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri May 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.374
 - Implemented call to guest-exec-terminate #PSBM-45383 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Fix device lookup in Fixup::Device #PSBM-46266 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri May 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.373
 - No need to set currentMemory (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-47270)

* Fri May 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.372
 - Implemented keeplive message for guest exec #PSBM-44027 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - bug #PSBM-44767 aka We should prihibit --device-add cdrom on runned VMs
untill (and if) hotplug implemented (Sergey Galas <shrike@virtuozzo.com>)

* Thu May 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.371
 - bug #PSBM-46184 aka prlctl: --autostart does not working (Sergey Galas
<shrike@virtuozzo.com>)
 - Style: clean up unused functions (Dmitry Mishin <dim@virtuozzo.com>)

* Thu May 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.370
 - Fix wrong processing of short IPv6 masks as IPv4, #PSBM-47255 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in IPv6 netmask calculation, #PSBM-47255 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu May 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.369
 - Style: no "local" operations mode for VMs backup, clean up code (Dmitry
Mishin <dim@virtuozzo.com>)

* Wed May 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.368
 - Close i/o devices when AuxChannel detects error or eof #PSBM-44027 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Wed May 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.367
 - Fixed backup of stopped virtual machines (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)

* Wed May 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.366
 - bug #PSBM-47271 aka pcs-validation: install_psbm TIMEDOUT: Function wait
timeouted (Sergey Galas <shrike@virtuozzo.com>)

* Tue May 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.365
 - Cleanup: a couple of vzfs-related functions is cleaned (Dmitry Mishin
<dim@virtuozzo.com>)
 - Using HostUtils::RunCmdLineUtilityEx with getStderr() Changed interface for
CDspVzLicense to use QString when appropriate. (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Implemented PVE::DspCmdUserUpdateLicense for #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Tue May 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.364
 - Using HostUtils::RunCmdLineUtilityEx with getStderr() Changed interface for
CDspVzLicense to use QString when appropriate. (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Implemented PVE::DspCmdUserUpdateLicense for #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Mon May 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.363
 - Implemented PVE::DspCmdUserGetLicenseInfo #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Fixed incremental Vm backup & restore (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Store backup protocol version in backup metadata (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.362
 - bug #PSBM-47029 aka Failed to migrate the VM: Invalid argument. An invalid
argument was passed. (Sergey Galas <shrike@virtuozzo.com>) (#PSBM-46447)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.361
 - Fix compilation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix policy-based image creation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Tune guest synchronization mechanism for 'push' scheme (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441 #PSBM-46906)
 - Detect version of backup archives (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47123)
 - Run script on libvirt connection, #PSBM-46448 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement quick-and-dirty linked clone, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - bug #PSBM-44755 aka migration hangs in dispatcher if libvirt connection
keepalive triggers (Sergey Galas <shrike@virtuozzo.com>)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.360
 - Fix policy-based image creation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Tune guest synchronization mechanism for 'push' scheme (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441 #PSBM-46906)
 - Detect version of backup archives (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47123)
 - Run script on libvirt connection, #PSBM-46448 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement quick-and-dirty linked clone, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri May 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.358
 - Add error in getVmSize function if VM wasn't found (Alexander Burluka
<aburluka@virtuozzo.com>)
 - Fix free size check on clone operation (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47124)

* Fri May 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.357
 - Fix our CPU features to fit QEMU/libvirt naming (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-46746)
 - Restore vz6 code for default backup path specification PSBM-46813 (Dmitry
Mishin <dim@virtuozzo.com>)

* Fri May 13 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.356
 - Use max value for migration timeout #PSBM-46969 (Dmitry Andreev
   <dandreev@virtuozzo.com>)
 - Adjust subtype for SCSI hdd, #PSBM-46795 (Maxim Perevedentsev
   <mperevedentsev@virtuozzo.com>)
 - allow to not tunnel qemu traffic during migration (Sergey Galas
   <shrike@virtuozzo.com>)
 - Style: remove unused environment parameter
 - Fixed guest synchronization libvirt calls (#PSBM-44441)
 - Revert old prl-disp service behavior. (Alexander Burluka
   <aburluka@virtuozzo.com>) (#PSBM-47049)
 - Added memory manager log file to problem reports PSBM-46986

* Thu May 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.355
 - Vm restoration from new backups (#PSBM-44441)
 - bug #PSBM-33132 aka Fix virtual cdrom names (Sergey Galas
<shrike@virtuozzo.com>)
 - need a backslash before character code in a regular expression (Sergey Galas
<shrike@virtuozzo.com>)

* Wed May 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.353
 - Fix deadlock (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46919)
 - Fix of VM restoration if VM contains only external disks

* Tue May 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.352
 - bug #PSBM-46715 aka vzt-downtime-vm-hdd-lin-16tb: rate5_iter0 ERROR:
PlsCtlError: prlctl returned 255 (Sergey Galas <shrike@virtuozzo.com>)

* Sat May 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.351
 - Implement some templates operation (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-46550 #PSBM-46044)

* Sat May 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.350
 - Refactor: use Backup::Model::Product instead of Backup::Perspective (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Style: move Task_RestoreVmTarget to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - Style: move Task_RestoreVmTarget to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - An ability to do not compress data during migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-46784)
 - Clean up obsoleted technologies from VE restoration code (Dmitry Mishin
<dim@virtuozzo.com>)

* Thu May 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.349
 - Incremental virtual machines backup & proper suffix (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - Revert "Revert "Enable  hv-vpindex, hv-runtime, hv-synic, hv-stimer, hv-reset
for win2008+ guests"" (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-45926)
 - Fix parameters specification at target side (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)

* Wed May 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.348
 - Add new mode of backup_client calling (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Fixed mistype in assert (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Apr 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.347
 - bug #PSBM-46654 aka DateTime element of VM snapshots has invalid format
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-46678 aka checkSiteToSite2CTCT ERROR: Exception: prlsrvctl returned
255 (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-45266 aka switching to snapshot doesn't truncate HDD image (Sergey
Galas <shrike@virtuozzo.com>)
 - Fix function to get network statistic. #PSBM-46103 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Thu Apr 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.346
 - bug #PSBM-46652 aka missing event on snapshot actions in vz7 (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Apr 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.345
 - Simplify environ handling (Dmitry Mishin <dim@virtuozzo.com>)
 - Fixed number of arguments calculations (Dmitry Mishin <dim@virtuozzo.com>)
 - style: move build archives logic to a single method (Dmitry Mishin
<dim@virtuozzo.com>)
 - Removed forgotten unused vzwin chunk (Dmitry Mishin <dim@virtuozzo.com>)
 - Added an ability to customize environment for backup clients (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - typeo (Sergey Galas <shrike@virtuozzo.com>)
 - Call new client tool for vz7 backups (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Skeleton of disk images archives creation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Get rid off "local" mode for VM backup creation (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)

* Wed Apr 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.344
 - bug #PSBM-46447 aka Live VM migration hangs (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Apr 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.343
 - disable sdk tests again (Sergey Galas <shrike@virtuozzo.com>)
 - Fix set of cpu mask from libvirt to virtuozzo config. #PSBM-46540 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Extend config read/write functions to work with nodemask. #PSBM-39268
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - drop the pipeline machine (Sergey Galas <shrike@virtuozzo.com>)
 - Add include to sdk headers and remove irrelevant tests. #PSBM-46547
(Alexander Pisarev <apisarev@virtuozzo.com>)

* Tue Apr 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.342
 - drop the pipeline machine (Sergey Galas <shrike@virtuozzo.com>)
 - Add include to sdk headers and remove irrelevant tests. #PSBM-46547
(Alexander Pisarev <apisarev@virtuozzo.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.341
 - typeo in a slot name (Sergey Galas <shrike@virtuozzo.com>)
 - use abstract base class like approach for join state machine entries (Sergey
Galas <shrike@virtuozzo.com>)
 - move progress reports to another thread (Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.340
 - Added explicit support for Virtuozzo Linux - recognize "vzlinux" and
"vzlinux-7" values for '--distribution' option (Denis Silakov
<dsilakov@gmail.com>)
 - bug #PSBM-46447 aka Live VM migration hangs (Igor Sukhih
<igor@parallels.com>)
 - Templates initial handling (Igor Sukhih <igor@parallels.com>) (#PSBM-46127)
 - Fix templates listing conditioning (Igor Sukhih <igor@parallels.com>)
 - Use external snapshot for VM shared migration on pstorage #PSBM-45183 (Igor
Sukhih <igor@parallels.com>)
 - Add external snapshot and blockcommit #PSBM-45183 (Igor Sukhih
<igor@parallels.com>)
 - Fix exit state in Pipeline::Frontend (Igor Sukhih <igor@parallels.com>)
 - Fixed logrotate for new log names PSBM-45125 (Igor Sukhih
<igor@parallels.com>)
 - Unable to add physical disk to CT #PSBM-39610 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-46346 aka Cannot change floppy (guest OS shows previous contents)
(Igor Sukhih <igor@parallels.com>)
 - Restored container's EnvID is not equal to UUID after restore new CT
\#PSBM-46347 (Igor Sukhih <igor@parallels.com>)
 - CTID is empty if PGVLF_GET_ONLY_IDENTITY_INFO is specified #PSBM-46348 (Igor
Sukhih <igor@parallels.com>)
 - Add support for first start script execution, see #PSBM-32944 (Igor Sukhih
<igor@parallels.com>)
 - Allow only one network per interface, #PSBM-35306 (Igor Sukhih
<igor@parallels.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.339
 - Added explicit support for Virtuozzo Linux - recognize "vzlinux" and
"vzlinux-7" values for '--distribution' option (Denis Silakov
<dsilakov@gmail.com>)
 - bug #PSBM-46447 aka Live VM migration hangs (Igor Sukhih
<igor@parallels.com>)
 - Templates initial handling (Igor Sukhih <igor@parallels.com>) (#PSBM-46127)
 - Fix templates listing conditioning (Igor Sukhih <igor@parallels.com>)
 - Use external snapshot for VM shared migration on pstorage #PSBM-45183 (Igor
Sukhih <igor@parallels.com>)
 - Add external snapshot and blockcommit #PSBM-45183 (Igor Sukhih
<igor@parallels.com>)
 - Fix exit state in Pipeline::Frontend (Igor Sukhih <igor@parallels.com>)
 - Fixed logrotate for new log names PSBM-45125 (Igor Sukhih
<igor@parallels.com>)
 - Unable to add physical disk to CT #PSBM-39610 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-46346 aka Cannot change floppy (guest OS shows previous contents)
(Igor Sukhih <igor@parallels.com>)
 - Restored container's EnvID is not equal to UUID after restore new CT
\#PSBM-46347 (Igor Sukhih <igor@parallels.com>)
 - CTID is empty if PGVLF_GET_ONLY_IDENTITY_INFO is specified #PSBM-46348 (Igor
Sukhih <igor@parallels.com>)
 - Add support for first start script execution, see #PSBM-32944 (Igor Sukhih
<igor@parallels.com>)
 - Allow only one network per interface, #PSBM-35306 (Igor Sukhih
<igor@parallels.com>)

* Sat Apr 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.338
 - bug #PSBM-46447 aka Live VM migration hangs (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Apr 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.337
 - Templates initial handling (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46127)
 - Fixed logrotate for new log names PSBM-45125 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Use external snapshot for VM shared migration on pstorage #PSBM-45183 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix templates listing conditioning (Alexander Burluka
<aburluka@virtuozzo.com>)
 - Add external snapshot and blockcommit #PSBM-45183 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix exit state in Pipeline::Frontend (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Apr 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.336
 - bug #PSBM-46346 aka Cannot change floppy (guest OS shows previous contents)
(Sergey Galas <shrike@virtuozzo.com>)
 - Restored container's EnvID is not equal to UUID after restore new CT
\#PSBM-46347 (Igor Sukhih <igor@parallels.com>)
 - CTID is empty if PGVLF_GET_ONLY_IDENTITY_INFO is specified #PSBM-46348 (Igor
Sukhih <igor@parallels.com>)

* Tue Apr 19 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.335
 - Add support for first start script execution, see #PSBM-32944
 - Allow only one network per interface, #PSBM-35306 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Apr 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.334
 - bug #PSBM-46043 aka changesid FAIL: SID isn't changed (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Apr 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.333
 - Lock CT before restore #PSBM-46259 (Igor Sukhih <igor@parallels.com>)
 - Corrected changelog (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.332
 - reincarnate the cancel migration command (Sergey Galas
<shrike@virtuozzo.com>)
 - Fixed typo which missplaced stderr into stdout for VM exec. (Yuriy
   Pudgorodskiy <yur@virtuozzo.com>) (PSBM-46182)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.331
 - Fixed compression migration parameters PSBM-43480 (Dmitry Mishin
<dim@virtuozzo.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.330
 - compilation fix (Sergey Galas <shrike@virtuozzo.com>)
 - make migration code to require less resources for compilation (Sergey Galas
<shrike@virtuozzo.com>)
 - Style: cleanup obsoleted VZFS and VZWIN-related backup creation code (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Style: Move source task of Container backup creation to a separate file
(Dmitry Mishin <dim@virtuozzo.com>)
 - Revive the removed attach backup functionality for CTs (PSBM-45496) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - fixes race in pull pump (Sergey Galas <shrike@virtuozzo.com>)
 - Style: Move Target task to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - Utilize ploop_get_base_delta_fname() (PSBM-45496) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Cpu/Memory hotplug is always enabled for CT #PSBM-39835 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-43935 aka Organize a secure tunnel for disks & memory data (Sergey
Galas <shrike@virtuozzo.com>)
 - cpu features masking was redesigned: - missing code setting cpu features mask
for dispatcher was restored - cpu features mask is set for all existing VMs in
the same time as for dispatcher (it was set on VM's start in PSBM6) - cpu
features mask is stored in VM's config (is hasn't been stored in VM config in
PSBM6 except for suspended VM) - cpu features mask is set for VM even in case
old mask is valid (valid mask in config meant that VM is in suspended state and
it shouldn't be changed in PSBM 6 but it is not possible to update mask if at
least 1 VM is not in stopped state so this check is excessive) - cpu features
mask set for any new VM, cloned VM, newly registered VM in both libvirt and
parallels configs but if VM is migrated or it was created using virsh then it is
set in parallels config only - CCpuHelper code was moved into separate library
CpuFeatures to get rid of Virtuozzo dependency in Transponster PSBM-39894
(imoiseev <imoiseev@virtuozzo.com>)
 - Add advanced compression options for faster performance (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43480)
 - Return error if user tries to rename running VM #PSBM-46207 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Allow to start backup without snapshot creation (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - Fix device interface conversion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Regenerate CTID as well during "clone" migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42371)
 - Bump release (Dmitry Mishin <dim@virtuozzo.com>)
 - Temporary disable parallel compilation (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.329
 - make migration code to require less resources for compilation (Sergey Galas
<shrike@virtuozzo.com>)
 - Style: cleanup obsoleted VZFS and VZWIN-related backup creation code (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Style: Move source task of Container backup creation to a separate file
(Dmitry Mishin <dim@virtuozzo.com>)
 - Revive the removed attach backup functionality for CTs (PSBM-45496) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - fixes race in pull pump (Sergey Galas <shrike@virtuozzo.com>)
 - Style: Move Target task to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - Utilize ploop_get_base_delta_fname() (PSBM-45496) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Cpu/Memory hotplug is always enabled for CT #PSBM-39835 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-43935 aka Organize a secure tunnel for disks & memory data (Sergey
Galas <shrike@virtuozzo.com>)
 - cpu features masking was redesigned: - missing code setting cpu features mask
for dispatcher was restored - cpu features mask is set for all existing VMs in
the same time as for dispatcher (it was set on VM's start in PSBM6) - cpu
features mask is stored in VM's config (is hasn't been stored in VM config in
PSBM6 except for suspended VM) - cpu features mask is set for VM even in case
old mask is valid (valid mask in config meant that VM is in suspended state and
it shouldn't be changed in PSBM 6 but it is not possible to update mask if at
least 1 VM is not in stopped state so this check is excessive) - cpu features
mask set for any new VM, cloned VM, newly registered VM in both libvirt and
parallels configs but if VM is migrated or it was created using virsh then it is
set in parallels config only - CCpuHelper code was moved into separate library
CpuFeatures to get rid of Virtuozzo dependency in Transponster PSBM-39894
(imoiseev <imoiseev@virtuozzo.com>)
 - Add advanced compression options for faster performance (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43480)
 - Return error if user tries to rename running VM #PSBM-46207 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Allow to start backup without snapshot creation (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - Fix device interface conversion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Regenerate CTID as well during "clone" migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42371)
 - Bump release (Dmitry Mishin <dim@virtuozzo.com>)
 - Temporary disable parallel compilation (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Apr 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.328
 - bug #PSBM-43935 aka Organize a secure tunnel for disks & memory data (Sergey
Galas <shrike@virtuozzo.com>)
 - cpu features masking was redesigned: - missing code setting cpu features mask
for dispatcher was restored - cpu features mask is set for all existing VMs in
the same time as for dispatcher (it was set on VM's start in PSBM6) - cpu
features mask is stored in VM's config (is hasn't been stored in VM config in
PSBM6 except for suspended VM) - cpu features mask is set for VM even in case
old mask is valid (valid mask in config meant that VM is in suspended state and
it shouldn't be changed in PSBM 6 but it is not possible to update mask if at
least 1 VM is not in stopped state so this check is excessive) - cpu features
mask set for any new VM, cloned VM, newly registered VM in both libvirt and
parallels configs but if VM is migrated or it was created using virsh then it is
set in parallels config only - CCpuHelper code was moved into separate library
CpuFeatures to get rid of Virtuozzo dependency in Transponster PSBM-39894
(imoiseev <imoiseev@virtuozzo.com>)
 - Return error if user tries to rename running VM #PSBM-46207 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix device interface conversion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Regenerate CTID as well during "clone" migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42371)

* Wed Apr 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.326
 - Rename log file to reflect component's name (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-45125)

* Tue Apr 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.325
 - Allow IPv6 multicast mac, #PSBM-45992 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Guest synchronization implementation (#PSBM-44124)

* Tue Apr 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.324
 - Use config from snapshot to find snapshot metadata #PSBM-41518 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Added compatibility CTID retrieval (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-45982)
 - Store snapshot name in snapshot metadata (Stash) #PSBM-41518 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Apr 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.323
 - Revert "Enable  hv-vpindex, hv-runtime, hv-synic, hv-stimer, hv-reset for
win2008+ guests" (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-46048)
 - Preserve storageurl disk parameter on CT creation #PSBM-45615 (Igor Sukhih
<igor@parallels.com>)

* Sat Apr 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.322
 - Unregister VMs that are already registered on other nodes in the cluster
(PSBM-45516) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Do not create problem report in old format #PSBM-17742 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed crash if prl_backup_client is absent (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-45934)
 - VM migration: don't change bundle name #PSBM-17943 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Apr 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.321
 - Allow bridges with names other than br*, #PSBM-45986 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement bonding parsing, #PSBM-45986 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add VLAN to network list and bridge search, #PSBM-45986 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add memory actual balloon counter. #PSBM-43134 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Enhance harddisk images validation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-43732)
 - Fix VmHome if needed, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add call to virt-v2v on pcs6->vz7 restore, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix hardware types and interfaces on pcs6 backup restore, #PSBM-44123 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Detect pcs6 backup by AppVersion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Added version param for BackupRestoreFirstReply command, #PSBM-44123 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Apr 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.320
 - Enable  hv-vpindex, hv-runtime, hv-synic, hv-stimer, hv-reset for win2008+
guests (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-45926)
 - Return empty snapshot list if there is no snapshots #PSBM-45891 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Apr 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.319
 - Parse absent libvirt filter as disabled, #PSBM-45864 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Update libvirt network interface only if changed, #PSBM-40694 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Allow to attach/detach block devices #PSBM-45844 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add debug logs for attach, detach and update devices (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - #PSBM-42725 push prl_disp_service logs to journald too (Alexander Stefanov-
Khryukin <astefanov@virtuozzo.com>)

* Tue Apr 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.318
 - Restore IP filter from config if it is unset in libvirt, #PSBM-40851 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Add memory counters except balloon and cache. #PSBM-43134 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Refactoring of performance collector (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add hard disk usage counters. #PSBM-43138 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Vm template listing #PSBM-18408 (Ivlev <pivlev@virtuozzo.com>)
 - Additional check on disconnectCd (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-45799)

* Tue Apr 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.317
 - Enable ipfilter on static auto-applied IPs only, #PSBM-45752 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix asserts (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix subscription to guest output events (#PSBM-45754)
 - Fixed deadlock in readData path

* Sat Apr 02 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.316
 - Compilation fixed

* Sat Apr 02 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.315
 - Enable bonding in mac filters, #PSBM-5969 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Apr 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.314
 - Add guest vcpu time counters. #PSBM-43133 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Sat Apr 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.313
 - Add guest cpu counter. #PSBM-43131 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Send default bridged network first, #PSBM-45619 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Apr 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.312
 - bug #PSBM-45715 (Sergey Galas <shrike@virtuozzo.com>)
 - Add support for traffic filtering by mac/ip, #PSBM-40694 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Move parseAdapterType, #PSBM-40694 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix schema for nwfilter, #PSBM-40694 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Apr 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.311
 - Update Tranpsonster's schema (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update Tranpsonster's schema (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-45618)
 - Vm template listing #PSBM-18408 (Ivlev <pivlev@virtuozzo.com>)
 - bump libprlsdk-devel build requirement version (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Mar 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.310
 - Avoid additional overhead on exec action (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44737)
 - bug #PSBM-45551 (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.309
 - Add cancellation of running inside guests commands (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-45383 #PSBM-45482)
 - Use qcow2 format for NVRAM image #PSBM-40704 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Update Transposter's schema: add nvram image format #PSBM-40704 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Mar 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.308
 - Pass VM's video RAM size to Vcmmd (Vladimir Davydov <vdavydov@virtuozzo.com>)
 - Switch to the new libvcmmd API (Vladimir Davydov <vdavydov@virtuozzo.com>)

* Mon Mar 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.307
 - Use 'host-model' cpu type by default in Transponster #PSBM-45114 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Save VM state in the ClusterOptions part of the VM config (PSBM-45400) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Preserve ClusterOptions during Direct/Reverse transitions (PSBM-45400) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Sat Mar 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.306
 - Ignore getState error in Task_DeleteVm (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add timeout to start/resume commands #PSBM-45307 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove Vcmmd::activate from CDspVmManager (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove cdroms from host harddisk list #PSBM-44808 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Mar 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.305
 - use booking approach on discovering vms after libvirt reconnect (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Mar 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.304
 - Use Registry::Public::declare in Task_CloneVm #PSBM-45416 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix NVRAM file path in migrated VM configuration #PSBM-40704 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make ctid & uuid equal on CT registertion #PSBM-45387 (Igor Sukhih
<igor@parallels.com>)
 - Use Registry::Public::declare in Task_MigrateVmTarget (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Mar 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.303
 - Use Registry::Public::declare in Task_RegisterVm (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44822)
 - restrict --efi-boot for old windows guests #PSBM-41153 (Ivlev
<pivlev@virtuozzo.com>)

* Thu Mar 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.302
 - bug #PSBM-44822 (Sergey Galas <shrike@virtuozzo.com>)

* Wed Mar 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.301
 - Use VIR_MIGRATE_PARAM_PERSIST_XML migration param #PSBM-44874 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Mar 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.300
 - Collect network statistics #PSBM-43136 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Use uuid format for CTID #PSBM-32810 (Igor Sukhih <igor@parallels.com>)
 - use in-memory storage for performance counters. nobody uses ipc sharing
anymore. use function names and separated storages for every kind of counters.
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Mar 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.299
 - cloud_config_ctl.py now works with unicode (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-44320)

* Mon Mar 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.298
 - Remove obsoleted performance storage management (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43132)
 - Reimplement statistics collection routine (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43137)
 - Introduce dedicated registry to store Vm data (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43132)
 - LibvirtAgent: harvest domain perf statistics (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43134)
 - Storage for performance counters (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43132)

* Mon Mar 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.297
 - force 100% progress only if the operation finishes successfully. (Sergey
Galas <shrike@virtuozzo.com>)
 - report 100% progress in the end of operation if 100% is not reported yet
(Sergey Galas <shrike@virtuozzo.com>)

* Sat Mar 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.296
 - Update transponster cpu schema (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Generate destination xml based on libvirt xml (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-45160)
 - Cleanup commented out Hdd-related code in HostInfo (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup sound-related code - not needed in server environment (Dmitry Mishin
<dim@virtuozzo.com>)

* Sat Mar 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.295
 - Ignore from-snapshot state events because there is defined-from-snapshot one
\#PSBM-43088 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-45222 (Sergey Galas <shrike@virtuozzo.com>)
 - Preserve high availability settings during Direct/Reverse conversions
(PSBM-43443) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Fri Mar 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.294
 - Move prl_backup_* binaries out of binaries lookup paths - they are internal
tools (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Mar 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.293
 - Unable to create CT backup (Igor Sukhih <igor@parallels.com>)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.292
 - turn migration options that help live migration to succeed (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-45091)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.291
 - bug #PSBM-44789 (Sergey Galas <shrike@virtuozzo.com>)
 - set maximum vcpu number to 32 on hotplug as in pcs6 (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>) (#PSBM-44355)
 - mem change: detect actual CVmConfiguration change if vcmmd status update
failed (Maxim Nestratov <mnestratov@virtuozzo.com>)

* Wed Mar 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.290
 - bug #PSBM-44443 (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.289
 - sync diagrams with the code (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.288
 - Change rename in EditVM #PSBM-13361 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Change default path scheme for VMs #PSBM-13361 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove CDspVm object from Task_MigrateVmTarget (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Fix bad cases of snapshot restoring (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-43607)

* Thu Mar 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.287
 - make compiler happy (Sergey Galas <shrike@virtuozzo.com>)
 - Implement CPU limit per VM (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-40823)
 - transponster: schema: sync absFilePath regex (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44283)
 - Massive CDspVm cleanup (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup communication with Vms (Dmitry Mishin <dim@virtuozzo.com>)
 - Check for vmHome path in every command using it (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-44581)
 - Cleanup Task_CreateSnapshot (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix a race between first 'define' and VM state change (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Drop unneeded variables setup (Denis Silakov <dsilakov@gmail.com>)
 - Add install target to Makefile (Andrei Bondrov <abondrov@parallels.com>)
 - Added top-level Makefile (Denis Silakov <dsilakov@gmail.com>)
 - bump libprlxmlmodel-devel version (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.286
 - Implement CPU limit per VM (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-40823)
 - transponster: schema: sync absFilePath regex (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44283)
 - Massive CDspVm cleanup (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup communication with Vms (Dmitry Mishin <dim@virtuozzo.com>)
 - Check for vmHome path in every command using it (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-44581)
 - Cleanup Task_CreateSnapshot (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix a race between first 'define' and VM state change (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Drop unneeded variables setup (Denis Silakov <dsilakov@gmail.com>)
 - Add install target to Makefile (Andrei Bondrov <abondrov@parallels.com>)
 - Added top-level Makefile (Denis Silakov <dsilakov@gmail.com>)
 - bump libprlxmlmodel-devel version (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.285
 - Implement CPU limit per VM (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-40823)
 - Massive CDspVm cleanup (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup communication with Vms (Dmitry Mishin <dim@virtuozzo.com>)
 - Check for vmHome path in every command using it (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-44581)
 - Cleanup Task_CreateSnapshot (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix a race between first 'define' and VM state change (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Drop unneeded variables setup (Denis Silakov <dsilakov@gmail.com>)
 - Add install target to Makefile (Andrei Bondrov <abondrov@parallels.com>)
 - Added top-level Makefile (Denis Silakov <dsilakov@gmail.com>)
 - bump libprlxmlmodel-devel version (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 04 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.284
 - Cleanup SwitchToSnapshot
 - Cleanup code responsible for dispatcher communication with vm_app
 - Cleanup desktop ConfirmMode functionality
 - Cleanup legacy desktop features UndoDisks and SafeMode
 - Cleanup DeleteSnapshot and forgotten hunk for CommitUnfinished
 - Remove WIN specific VzHelper (Igor Sukhih <igor@parallels.com>)
 - Cleanup CommitUnfinished feature
 - Fix condition in Task_VmMigrationTarget::isSharedDisk(...) (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Mar 02 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.283
 - Fix files coping in online migration (Dmitry Andreev
   <dandreev@virtuozzo.com>) (#PSBM-44793)
 - Remove startVNCServer in migration task. Qemu already has VNC (Dmitry Andreev
   <dandreev@virtuozzo.com>)
 - Unlock Vm after migration (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44792)

* Tue Mar 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.282
 - Store and do not remove HomePath from vm config in Task_VmMigrateTarget
   (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44731)
 - Wait for QProcess start #PSBM-44721 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Cleanup Start-As-User feature (#PSBM-29952)
 - Fix: dispatcher always saved vm config readed from libvirt in /vz/vmprivate
   /<vm-name>.pvm (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44731)

* Tue Mar 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.281
 - Support TCP and UDP emulation types for serial device #PSBM-43039 (Dmitry
   Andreev <dandreev@virtuozzo.com>)
 - Reread VNC port from active configuration on defined event (#PSBM-44752)
 - edit vm: use system path to detect the same hard disks (#PSBM-44615)
 - Utilize ParallelsDispToDispProto.h from libprlcommon (Igor Bazhitov
   <ibazhitov@virtuozzo.com>)
 - Add debug logs for #PSBM-44712 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix windows key to net user command generation in cloud_config_ctl.py
   (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-44665)
 - Change default gateway to an address from APIPA range. #PSBM-44516 (Alexander
   Pisarev <apisarev@virtuozzo.com>)
 - Don't ignore XML parsing errors (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Avoid using implicit copy constructor T(T*) (Dmitry Andreev
   <dandreev@virtuozzo.com>)

* Sat Feb 27 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.280
 - Fixed degradation introduced by configs manipulation refactoring for
   migration (#PSBM-44647)
 - Device constructor argument has been fixed PSBM-44174 (Ivan Moiseev
   <imoiseev@virtuozzo.com>)
 - Transporster Reverse: choose source type even if there is not image path
   (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44609)
 - Fix disconnected floppy addition problem (Alexander Burluka
   <aburluka@virtuozzo.com>) (#PSBM-44563)
 - Cdroms should be added in both connected and disconnected state (Alexander
   Burluka <aburluka@virtuozzo.com>)
 - Fix cdrom connection/disconnection problems (Alexander Burluka
   <aburluka@virtuozzo.com>) (#PSBM-44556 #PSBM-44568)
 - fix config on migration (Sergey Galas <shrike@virtuozzo.com>) (#PSBM-43764)
 - need to set 2d acceleration explicitly as well because libvirt requires
   identical values in source and destination configs on migration (Sergey Galas
   <shrike@virtuozzo.com>)
 - Added debug output of xml definitions
 - Fixed gateway specification for routed networking PSBM-44519
 - Fix error with cloud config cd removal/disconnection (Alexander Burluka
   <aburluka@virtuozzo.com>)
 - mem change: a new formula to set maxNuma and maxTotal memory size (Maxim
   Nestratov <mnestratov@virtuozzo.com>) (#PSBM-44269)
 - Switch to release compilation mode

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.279
 - Guest CDROM massive update (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-44240
   #PSBM-44365 #PSBM-41445 #PSBM-44485)
 - mem change: don't block the whole edit chain if vcmmd connection fails (Maxim
Nestratov <mnestratov@virtuozzo.com>)
 - Remove QtGui and QtService from dependencies for prl-disp-service,
\#PSBM-42417 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.278
 - Drop obsoleted ws.reclaimable counter (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43140 #PSBM-43125)
 - Fixed return code in case of failure, broken by commit 6c4a96ebcf PSBM-41555
(Dmitry Mishin <dim@virtuozzo.com>)

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.277
 - Register VM in VCMMD on snapshot-switch #PSBM-43736 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed crash if exec was called form stopped guest (or somehow aux channel was
not created successfully). #PSBM-44027 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)
 - Transponster: allow to use <source/> without attributes (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Avoid exception throw to upper frames from read_json #PSBM-44431 (Yuri
Pudgorodskiy <yur@virtuozzo.com>)
 - Style: make Usb::List constructor explicit (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Allow to add network adapters to boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show network devices in boot oder of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show floppy devices in boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)

* Sat Feb 20 2016 Sergey Galas' <shrike@odin.com> 7.0.275
 - Fixed crash if exec was called form stopped guest (or somehow aux channel was
not created successfully). #PSBM-44027 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)
 - Transponster: allow to use <source/> without attributes (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Avoid exception throw to upper frames from read_json #PSBM-44431 (Yuri
Pudgorodskiy <yur@virtuozzo.com>)
 - Style: make Usb::List constructor explicit (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Allow to add network adapters to boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show network devices in boot oder of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show floppy devices in boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)

* Sat Feb 20 2016 Sergey Galas' <shrike@odin.com> 7.0.273.3
 - Transponster: allow to use <source/> without attributes (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.273.2
 - Avoid exception throw to upper frames from read_json #PSBM-44431 (Yuri
Pudgorodskiy <yur@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.273.1
 - version for beta3 branch (Sergey Galas <shrike@odin.com>)
 - Style: make Usb::List constructor explicit (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Allow to add network adapters to boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show network devices in boot oder of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show floppy devices in boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.273
 - Transponster: use CdRomImage emulation type for CD-ROMs without DiskSource
\#PSBM-44366 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Use environment for guest exec #PSBM-43997 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Avoid double construction of Libvirt::Failure (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Thu Feb 18 2016 Sergey Galas' <shrike@odin.com> 7.0.272
 - Added global lock for serializing boost::read_json operations #PSBM-44190
(Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - memory change: compare new memory parameters with actual ones (Sergey Galas
<shrike@odin.com>)

* Thu Feb 18 2016 Sergey Galas' <shrike@odin.com> 7.0.271
 - Transponster: do not set VDiskSource for CD-ROM with empty image path
\#PSBM-44341 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Propagate write error to exec caller PSBM-44158 (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Feb 17 2016 Sergey Galas' <shrike@odin.com> 7.0.270
 - Transponster: fix <disk><source> type detection #PSBM-44283 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 17 2016 Sergey Galas' <shrike@odin.com> 7.0.269
 - Add installtools command implementation on stopped VM (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-44238)
 - fix source migration check precondition fail (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>) (#PSBM-43668)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Tue Feb 16 2016 Sergey Galas' <shrike@odin.com> 7.0.268
 - Online migration: create empty images only for non-shared disks #PSBM-43990
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - BUGFIX Save nameserver and searchdomain in network interface. #PSBM-43663
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - Fix EditVm: change serial port socket path on VM rename #PSBM-43670 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Drop debug message (Denis Silakov <dsilakov@gmail.com>)
 - bug #PSBM-43514 (Sergey Galas <shrike@odin.com>)
 - Allow picking up build dependencies from non-system locations (Denis Silakov
<dsilakov@gmail.com>)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Tue Feb 16 2016 Sergey Galas' <shrike@odin.com> 7.0.267
 - Drop debug message (Denis Silakov <dsilakov@gmail.com>)
 - bug #PSBM-43514 (Sergey Galas <shrike@odin.com>)
 - Allow picking up build dependencies from non-system locations (Denis Silakov
<dsilakov@gmail.com>)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Mon Feb 15 2016 Sergey Galas' <shrike@odin.com> 7.0.266
 - Add ability to set up users passwd on windows guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41445)
 - Return running state for VM that is being shutdown but not yet stopped
\#PSBM-44103 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Implement updating VM disk info, #PSBM-41602 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Remove obsoleted implementation of DropSuspendedState for VMs (Dmitry Mishin
<dim@virtuozzo.com>)
 - Clean up DspVm continues (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup basic operations in DspVm (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup unused functionality in VmManager (Dmitry Mishin <dim@virtuozzo.com>)

* Sat Feb 13 2016 Sergey Galas' <shrike@odin.com> 7.0.265
 - Fixed InstallTools command in stopped VMs (Dmitry Mishin <dim@virtuozzo.com>)
 - report correct vm state #PSBM-43442 (Ivlev <pivlev@virtuozzo.com>)

* Thu Feb 11 2016 Sergey Galas' <shrike@odin.com> 7.0.264
 - fix migration of external disks wrt to they are not dirs anymore (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>)
 - prepareNewCdrom: set correct StackIndex #PSBM-44040 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Check RAM size before enabling memory hot-plugging (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43554)
 - fix direct conversion of video acceleration (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Thu Feb 11 2016 Sergey Galas' <shrike@odin.com> 7.0.263
 - Delete VM: do not check VM state for template #PSBM-44049 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 10 2016 Sergey Galas' <shrike@odin.com> 7.0.262
 - VM state info in fillVmInfo is taken from dispatcher cache (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-43955)
 - Fixed script that generates initialization data for VMs. (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-4365 #PSBM-41445)
 - Save config with relative paths #PSBM-43670 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 10 2016 Sergey Galas' <shrike@odin.com> 7.0.261
 - VM state info in fillVmInfo is taken from dispatcher cache (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-43955)
 - Fixed script that generates initialization data for VMs. (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-4365 #PSBM-41445)
 - Save config with relative paths #PSBM-43670 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 10 2016 Sergey Galas' <shrike@odin.com> 7.0.260
 - Delete VM: check VM state before delete #PSBM-41439 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix interface name substitution for non-bridged interface message,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Notify systemd on dispatcher initialization finish, #PSBM-43933 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start VM: return error if VM is already running #PSBM-43877 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - add systemd-devel build requirement (Sergey Galas <shrike@odin.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.259
 - Fix interface name substitution for non-bridged interface message,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Notify systemd on dispatcher initialization finish, #PSBM-43933 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start VM: return error if VM is already running #PSBM-43877 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.258
 - Fix interface name substitution for non-bridged interface message,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start VM: return error if VM is already running #PSBM-43877 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.257
 - Fix: use connected device configuration as argument for unplag(..)
\#PSBM-43965 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.256
 - bug #PSBM-43948 (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.255
 - Force snapshot-switch operation to wait correct VM state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix: use intermediate state when switching to snapshot with VMS_PAUSED state
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - make stack index and hint name correpondence consistent (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - strip non-printable characters (Sergey Galas <shrike@odin.com>)
 - bump libprlsdk-devel version (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.254
 - Force snapshot-switch operation to wait correct VM state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix: use intermediate state when switching to snapshot with VMS_PAUSED state
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - make stack index and hint name correpondence consistent (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bump libprlsdk-devel version (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.253
 - Force snapshot-switch operation to wait correct VM state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix: use intermediate state when switching to snapshot with VMS_PAUSED state
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - make stack index and hint name correpondence consistent (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bump libprlsdk-devel version (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.252
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Sat Feb 06 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.251
 - Temporary replace shutdown with kill because shutdown API will be changed
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - don't kill a vm after timeout if it is already down (Sergey Galas
<shrike@odin.com>)
 - more detailed commands decomposition to stress individual traits of each one.
(Sergey Galas <shrike@odin.com>)

* Sat Feb 06 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.250
 - Style: remove unnecessary & in ctor
 - Move cleanup of AuxChannel to the end of simultaneous exec actions (#PSBM-43835)
 - Fix: add routes on VM start (Dmitry Andreev <dandreev@virtuozzo.com>)
 - BUGFIX Drop unprintable character (Konstantin <wolf@parallels.com>)

* Fri Feb 05 2016 Sergey Galas' <shrike@odin.com> 7.0.249
 - Move updateConfig action into VM state machine #PSBM-41215 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support host serial port passthrough, #PSBM-43614 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Feb 05 2016 Sergey Galas' <shrike@odin.com> 7.0.248
 - Change taget device naming schema #PSBM-43833 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Beautify VM state machine logging (Dmitry Andreev <dandreev@virtuozzo.com>)

* Thu Feb 04 2016 Sergey Galas' <shrike@odin.com> 7.0.247
 - Rework activation and deactivation of memory guarantees #PSBM-43106 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-42622 (Sergey Galas <shrike@odin.com>)
 - Panicked VM state is similar to VMS_PAUSED #PSBM-41615 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Feb 04 2016 Sergey Galas' <shrike@odin.com> 7.0.246
 - bug #PSBM-42622 (Sergey Galas <shrike@odin.com>)
 - Panicked VM state is similar to VMS_PAUSED #PSBM-41615 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 03 2016 Sergey Galas' <shrike@odin.com> 7.0.245
 - Make asynchronous device type explicit (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-43223)
 - Require creation of bridge from user, #PSBM-38503 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert "Require bridged network creation from user, #PSBM-38503", #PSBM-43691
(Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Change log level for libvcmmd call errors (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Always add route to default gateway IP for routed network #PSBM-43673 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - create a snapshot of paused VM with internal memory attribute (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-43659)
 - Polishing async exec code PSBM-43223 (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup channels if libvirt is disconnected PSBM-43223 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Style fixes PSBM-43223 (Dmitry Mishin <dim@virtuozzo.com>)
 - Style: empty lines before access modifiers (Dmitry Mishin
<dim@virtuozzo.com>)
 - Move exec channel binding to ctor PSBM-43223 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Simplify asynchronous exec model removing excessive ExecMessage object
(Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-43223)
 - Reset link at exec channels after reconnect #PSBM-43223 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Asynchronous guest command exec via an auxiary channel (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43223)

* Tue Feb 02 2016 Sergey Galas' <shrike@odin.com> 7.0.244
 - VM State Machine implementation (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Feb 02 2016 Sergey Galas' <shrike@odin.com> 7.0.243
 - Retry guest exec command for unsynced error, #PSBM-43318 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Set CT ID in VM configuration for API compatibility #PSBM-43672 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - revert to snapshot with different vm configuration (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>) (#PSBM-43116)
 - Require bridged network creation from user, #PSBM-38503 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Jan 30 2016 Sergey Galas' <shrike@odin.com> 7.0.242
 - Fix VM configuration load on snapshot-switch #PSBM-43658 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Jan 30 2016 Sergey Galas' <shrike@odin.com> 7.0.241
 - Fix snapshot rollback file-list in Stash (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jan 29 2016 Sergey Galas' <shrike@odin.com> 7.0.240
 - Ignore errors of graceful shutdown #PSBM-43586 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jan 29 2016 Sergey Galas' <shrike@odin.com> 7.0.239
 - Fix function call (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Rework Stash to use QDir (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Drop state file before snapshot-switch (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Increase login timeout to prevent fails due to network config change,
\#PSBM-43498 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Jan 28 2016 Sergey Galas' <shrike@odin.com> 7.0.238
 - Apply full network configuration by cloud-init (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43428)
 - Implement config.pvs and config.sav save near libvirt snapshot data
(Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-43101)
 - Set autodeflate enabled in default VM config #PSBM-41794 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jan 27 2016 Sergey Galas' <shrike@odin.com> 7.0.237
 - Update memballoon schema and transponster #PSBM-43456 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Another unsigned<<20 overflow #PSBM-43119 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Vm migration diagrams (Sergey Galas <shrike@odin.com>)

* Tue Jan 26 2016 Sergey Galas' <shrike@odin.com> 7.0.236
 - Fix ramsize<<20 overflow #PSBM-43481 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Allow to call InstallTools on stopped VM (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41445)
 - Get VM state for problem report directly from libvirt #PSBM-43323 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Jan 26 2016 Sergey Galas' <shrike@odin.com> 7.0.235
 - Fixed path to generated iso in SetUserPasswd action (Dmitry Mishin
<dim@virtuozzo.com>)
 - Support memory guarantees for CTs #PSBM-43142 (Igor Sukhih
<igor@parallels.com>)
 - per countersf: read CT config from cache (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-41481)
 - bump libvzctl version (Sergey Galas <shrike@odin.com>)

* Mon Jan 25 2016 Sergey Galas' <shrike@odin.com> 7.0.234
 - Unregister VM from vcmmd on "vm stopped" event (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-43383)
 - Use MemGuarantee in place of MaxBalloon #PSBM-42535 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Do not lock CT templates during Clone operation (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-34952)

* Mon Jan 25 2016 Sergey Galas' <shrike@odin.com> 7.0.233
 - Register VM in VCMMD with force #PSBM-43383 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Set VMS_SUSPENDED state if stopped VM has state file #PSBM-43251 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Paused VM should be unpause for reset #PSBM-41615 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Set VMS_PAUSED state in case guest panicked #PSBM-41615 Panicked VM behaves
like paused (Dmitry Andreev <dandreev@virtuozzo.com>)

* Sat Jan 23 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.232
 - Remove MaxBalloon check (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-41963)

* Fri Jan 22 2016 Sergey Galas' <shrike@odin.com> 7.0.231
 - Secondary channel for async I/O with guest programs (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43223)
 - offline vm migration aka bug #PSBM-42560 (Sergey Galas <shrike@odin.com>)
 - Style: Rename "Libvirt::Tools" to "Libvirt::Instrument" to avoid confuse with
guest tools in namings (Dmitry Mishin <dim@virtuozzo.com>)
 - mem management: interact with vcmmd to check memory policy when VMs
start/stop (Sergey Galas <shrike@odin.com>)
 - mem hotplug: add VcmmdInterface class implementation (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - check MaxBalloon parameter to be less than 100 (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Fri Jan 22 2016 Sergey Galas' <shrike@odin.com> 7.0.230
 - Style: Rename "Libvirt::Tools" to "Libvirt::Instrument" to avoid confuse with
guest tools in namings (Dmitry Mishin <dim@virtuozzo.com>)
 - mem management: interact with vcmmd to check memory policy when VMs
start/stop (Sergey Galas <shrike@odin.com>)
 - mem hotplug: add VcmmdInterface class implementation (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - check MaxBalloon parameter to be less than 100 (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Thu Jan 21 2016 Sergey Galas' <shrike@odin.com> 7.0.229
 - Treat "guest agent not available" as not an error in active polling loops
(query-status, guest-exec-status). (Yuri Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-43042)

* Wed Jan 20 2016 Sergey Galas' <shrike@odin.com> 7.0.228
 - Ignore StackIndex duplicates for disconnected HDDs #PSBM-41064 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Jan 20 2016 Sergey Galas' <shrike@odin.com> 7.0.227
 - Add vm name to error message #PSBM-43235 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix Connect and Disconnect operations #PSBM-41064 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jan 19 2016 Sergey Galas' <shrike@odin.com> 7.0.226
 - Add ability to set CPU limit in Mhz (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41669)

* Mon Jan 18 2016 Sergey Galas' <shrike@odin.com> 7.0.225
 - Move DirItem update before any libvirt actions in EditVm #PSBM-42950 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Implement PVE::DspCmdVmDevDisconnect and PVE::DspCmdVmDevConnect for HDDs
#PSBM-41064 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Change return value to false for error case in EditVm actions (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jan 15 2016 Sergey Galas' <shrike@odin.com> 7.0.224
 - Restore VmUptimeStartDateTime value #PSBM-43148 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix Enable3DAcceleration value in Transponster Direct (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Restore HDD UUID #PSBM-43148 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return error if the user tries to rename not stopped VM #PSBM-42883 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Thu Jan 14 2016 Sergey Galas' <shrike@odin.com> 7.0.223
 - Wait for shutdown completition in change_sid, for PCS6 compatibility. Fixed
#PSBM-43055 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - CPU hotplug flag check fixed (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-41893)
 - Fixed error code propagation to caller on EditConfig action (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add warning about reboot requirement to match PCS6 (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41893)
 - Hide all personality information in cpp file (Alexander Burluka
<aburluka@virtuozzo.com>)

* Thu Jan 14 2016 Sergey Galas' <shrike@odin.com> 7.0.222
 - CPU hotplug flag check fixed (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-41893)
 - Add warning about reboot requirement to match PCS6 (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41893)
 - Hide all personality information in cpp file (Alexander Burluka
<aburluka@virtuozzo.com>)

* Wed Jan 13 2016 Sergey Galas' <shrike@odin.com> 7.0.221
 - Handle libvirt's snapshot events #PSBM-42031 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jan 13 2016 Sergey Galas' <shrike@odin.com> 7.0.220
 - Handle libvirt's snapshot events #PSBM-42031 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.219
 - Switch to standalone XmlModel usage (Dmitry Mishin <dim@virtuozzo.com>)
 - Use custom uuid if specified on CT clone action #PSBM-40385 (Igor Sukhih
<igor@parallels.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.218
 - Add <driver> in HDD configuration for device hotplug #PSBM-42993 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Jan 11 2016 Sergey Galas' <shrike@odin.com> 7.0.217
 - Switch dispatcher to use Interfaces from libprlcommon (Dmitry Mishin
<dim@virtuozzo.com>)
 - Fixed path for prl_newsid, #PSBM-40814 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Handle unix socket mode for serial port device (PSBM-39637) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Refactor relative <-> absolute device path conversion (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Completely get rid of shadow VM functionality (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Dec 31 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.216
 - Create Container's default template cache in advance The problem is that if
this cache is created during CT create stage, we could hit default 1h timeout
sometimes. #PSBM-42074

* Thu Dec 31 2015 Sergey Galas' <shrike@odin.com> 7.0.215
 - Fixed creation of iso in NoCloud datasource format #PSBM-42828 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Inform libvirt about new device appearance #PSBM-42828 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup atomicEdit from other products' remains (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 30 2015 Sergey Galas' <shrike@odin.com> 7.0.214
 - Remove excessive quoting since it is now done in guest agent. For #PSBM-42857
and #PSBM-42495 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Switch to external prlcommon libraries (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Dec 28 2015 Konstantin Volkov <wolf@virtuozzo.com> 7.0.213-2
- Added requires for PyYAML, see #PSBM-42743

* Mon Dec 28 2015 Sergey Galas' <shrike@odin.com> 7.0.213
 - Run prl_newsid and prl_nettool with full path on Windows For #PSBM-40814
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - mem hotplug: BUGFIX PSBM-42761 (Maxim Nestratov <mnestratov@virtuozzo.com>)

* Mon Dec 28 2015 Sergey Galas' <shrike@odin.com> 7.0.212

* Mon Dec 28 2015 Sergey Galas' <shrike@odin.com> 7.0.211
 - Fix Task_CopyImage #PSBM-40878 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Dec 25 2015 Sergey Galas' <shrike@odin.com> 7.0.210
 - Implementation of PVE::DspCmdVmDropSuspendedState #PSBM-41829 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - schema sources & code generator (Sergey Galas <shrike@odin.com>)
 - Preserve serial file output on VM restart #PSBM-41423 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Fix domain xml merging (device lists merging) (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-42708)

* Fri Dec 25 2015 Sergey Galas' <shrike@odin.com> 7.0.209
 - append attribute for serial device (Sergey Galas <shrike@odin.com>)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.208
 - compilation is fixed (Sergey Galas <shrike@odin.com>)
 - Add ability to configure guest's settings on stopped VM (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41445)
 - Add domain config merging on update (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-41966)
 - Process NewVmUuid parameter for Vm clone action #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)
 - Add necessary dependencies on prl-disp-service (Alexander Burluka
<aburluka@odin.com>) (#PSBM-42495)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.207
 - Add ability to configure guest's settings on stopped VM (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41445)
 - Add domain config merging on update (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-41966)
 - Process NewVmUuid parameter for Vm clone action #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)
 - Add necessary dependencies on prl-disp-service (Alexander Burluka
<aburluka@odin.com>) (#PSBM-42495)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.206
 - Process NewVmUuid parameter for Vm clone action #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.205
 - bug #PSBM-42004 (Sergey Galas <shrike@odin.com>)

* Wed Dec 23 2015 Sergey Galas' <shrike@odin.com> 7.0.204
 - bug #PSBM-42579 (Sergey Galas <shrike@odin.com>)
 - fix operator precedence issue (Nick Shyrokovskiy <nshyrokovskiy@gmail.com>)

* Tue Dec 22 2015 Sergey Galas' <shrike@odin.com> 7.0.203
 - bug #PSBM-42235 (Sergey Galas <shrike@odin.com>)

* Mon Dec 21 2015 Sergey Galas' <shrike@odin.com> 7.0.202
 - Add NVRAM to Vm config XmlModel (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-42089)

* Fri Dec 18 2015 Sergey Galas' <shrike@odin.com> 7.0.201
 - Restore Virtuozzo 6 behaviour on CPU unplug (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42287)

* Fri Dec 18 2015 Sergey Galas' <shrike@odin.com> 7.0.200
 - fixes compilation. Libvirt::Error moved to a libvrary. it is not in the
Libvirt namespace anymore (Sergey Galas <shrike@odin.com>)
 - New implementation for guest agent version and state. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-41461 #PSBM-40814)

* Thu Dec 17 2015 Sergey Galas' <shrike@odin.com> 7.0.199
 - New implementation for guest agent version and state. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-41461 #PSBM-40814)

* Wed Dec 16 2015 Sergey Galas' <shrike@odin.com> 7.0.198
 - Fixed tests compilation broken by recent XmlModel cleanup (Dmitry Mishin
<dim@virtuozzo.com>)
 - leave single Error::Simple version (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-40717 (Sergey Galas <shrike@odin.com>)
 - Revert "ConfigCache do stat() on every get config action" (PSBM-42420) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Fixed build version incorporation to binaries #PSBM-42351 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Added crypted passwords processing for VMs #PSBM-42148 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup XmlModel headers from external headers (Dmitry Mishin
<dim@virtuozzo.com>)
 - Get rid off ParallelsDir dependency in XmlModel (Dmitry Mishin
<dim@virtuozzo.com>)
 - mem hotplug: improvements (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Synchronise XmlModel with libprlsdk (Dmitry Mishin <dim@virtuozzo.com>)
 - Switch to relative paths in XmlModel (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup XmlModel from other products stuff (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 16 2015 Sergey Galas' <shrike@odin.com> 7.0.197
 - Fixed build version incorporation to binaries #PSBM-42351 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Added crypted passwords processing for VMs #PSBM-42148 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup XmlModel headers from external headers (Dmitry Mishin
<dim@virtuozzo.com>)
 - Get rid off ParallelsDir dependency in XmlModel (Dmitry Mishin
<dim@virtuozzo.com>)
 - mem hotplug: improvements (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Synchronise XmlModel with libprlsdk (Dmitry Mishin <dim@virtuozzo.com>)
 - Switch to relative paths in XmlModel (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup XmlModel from other products stuff (Dmitry Mishin
<dim@virtuozzo.com>)

* Tue Dec 15 2015 Sergey Galas' <shrike@odin.com> 7.0.196
 - Reverted back reamVmToolsStateString() to deal with it later in #PSBM-41461
(Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Fix CT migration with "--keep-src" option, #PSBM-42226 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - typo fixed (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Style changes: - long lines - s/guestAgent/Agent/ - get rid of
VMS_STARTING/STOPPING states (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Style fixes, error reporting via CDspTaskFailure. (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Run prl_newsid via libvirt guest-exec API. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-40814)
 - Fix PVE::DspCmdDirVmMove #PSBM-40880 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Dec 11 2015 Sergey Galas' <shrike@odin.com> 7.0.195
 - Update VM network interfaces in runtime #PSBM-42131 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix writing being allowed in read-only mount, #PSBM-42236 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Do not set disconnected device state based on file path (PSBM-41676) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Add VmName parameter to error message PRL_ERR_DISP_VM_IS_NOT_STOPPED (Maxim
Nestratov <mnestratov@virtuozzo.com>)

* Fri Dec 11 2015 Sergey Galas' <shrike@odin.com> 7.0.194
 - Fix writing being allowed in read-only mount, #PSBM-42236 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Do not set disconnected device state based on file path (PSBM-41676) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Add VmName parameter to error message PRL_ERR_DISP_VM_IS_NOT_STOPPED (Maxim
Nestratov <mnestratov@virtuozzo.com>)

* Thu Dec 10 2015 Sergey Galas' <shrike@odin.com> 7.0.193
 - Restore gateway v4 specification if IPv6 address is specified #PSBM-42188
(Dmitry Mishin <dim@virtuozzo.com>)

* Thu Dec 10 2015 Sergey Galas' <shrike@odin.com> 7.0.192
 - Fix memory size changing for stopped VMs (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-42200)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.191
 - Fix: 'prlctl --applyconfig' doesn't set IoLimit per disk #PSBM-42144 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.190
 - mem hotplug: memory related Task_EditVm implementation (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - mem hotplug: add MemoryOptions to untranslatable types (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - mem hotplug: implement Libvirt runtime setMemory methods (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - mem hotplug: direct/reverse libvirt/dispatcher memory parameters translation
(Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Fix task apply (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - mem hotplug: modify VmConfig xml schema (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - cleanup: remove commented out include (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Tue Dec 08 2015 Sergey Galas' <shrike@odin.com> 7.0.189
 - Generate SN for HDDs if not set already (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add serial number field to HDD XML model (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove editor comments from schema (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Remove used device from the search list because we don't want to find them
again (Dmitry Andreev <dandreev@virtuozzo.com>)

* Mon Dec 07 2015 Sergey Galas' <shrike@odin.com> 7.0.188
 - memory device schema (Sergey Galas <shrike@odin.com>)
 - Handle disconnected and disabled devices (PSBM-41463) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Make TargetDeviceName available for CDROM and FDD (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Mon Dec 07 2015 Sergey Galas' <shrike@odin.com> 7.0.187
 - Fixed cpulimit setup (Alexander Burluka <aburluka@odin.com>) (#PSBM-42000)
 - Prohibit parallel devices as not needed in datacenters environments
#PSBM-41567 (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Dec 04 2015 Sergey Galas' <shrike@odin.com> 7.0.185
 - Refactor Guest::Exec interface to use Request placeholder class (Yuri
Pudgorodskiy <yur@virtuozzo.com>)
 - Refactored to use mode member in Exec class (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Implemented RUN_PROGRAM_IN_SHELL via QGA extension. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-41590)
 - Fixed prl_disk_tool args in ConvertDisks, #PSBM-41831 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Removed conversion to split/merged disks, #PSBM-41831 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Dec 04 2015 Sergey Galas' <shrike@odin.com> 7.0.184
 - Configure routes for routed network #PSBM-35173 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed wrong parameters type (Alexander Burluka <aburluka@odin.com>) (#PSBM-42002)
 - bug #PSBM-39448 (Sergey Galas <shrike@odin.com>)
 - Limit a size of 'prlctl exec' stdin #PSBM-41599 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Added requires for libvirt with VIR_DOMAIN_CREATE_USER flag - for #PSBM-41708
(Yuri Pudgorodskiy <yur@virtuozzo.com>)

* Fri Dec 04 2015 Sergey Galas' <shrike@odin.com> 7.0.183
 - Change os version required for Hyper-V crash #PSBM-41914 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Display error mesage on CT action failure #PSBM-41864 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-41877 (Sergey Galas <shrike@odin.com>)
 - Use VIR_DOMAIN_CREATE_USER for setPassword (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Thu Dec 03 2015 Sergey Galas' <shrike@odin.com> 7.0.182
 - Move Eroor::Simple class to Libraries (Igor Sukhih <igor@parallels.com>)

* Thu Dec 03 2015 Sergey Galas' <shrike@odin.com> 7.0.181
 - Fixed lost during function refactoring join We need to pass list of IP
addresses as a single argument to prl_nettool. #PSBM-41930 (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.180
 - bug #PSBM-41871 (Sergey Galas <shrike@odin.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.179
 - !empty || means empty. cannot call front on empty vector. fix test condition.
(Sergey Galas <shrike@odin.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.178
 - refine indexes patch code (Sergey Galas <shrike@odin.com>)
 - Preserve gw, dhcp and "autoapply" settings in untranslatable types (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.177
 - CD-ROM's and NetAdapter's indexes will not be changed by libvirt #PSBM-41676
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Dec 02 2015 Konstantin <wolf@parallels.com> 7.0.176
 - Added vm.overcommit_memory into 99-prl-disp.conf, see #PSBM-41862
 - CVzHelper::get_env_status_by_ctid: use fast mount check #PSBM-41777 (Igor
Sukhih <igor@parallels.com>)
 - Added 99-prl-disp.conf to /etc/sysctl.d, see #PSBM-41862
 - Update BuildRequires: libvzctl-devel >= 7.0.137 (Igor Sukhih
<igor@parallels.com>)

* Tue Dec 01 2015 Sergey Galas' <shrike@odin.com> 7.0.175
 - Add routed network type implemented with bridge "host-routed" (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-35173)
 - Add ip address to network devices in Transponster #PSBM-41769 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-41816 (Sergey Galas <shrike@odin.com>)

* Tue Dec 01 2015 Sergey Galas' <shrike@odin.com> 7.0.174
 - bug #PSBM-39783 (Sergey Galas <shrike@odin.com>)
 - Fixed bug with wrong IP addresses protocol recognition The problem is caused
by the fact, that we are working with non-parsed IP/IP_mask tuples here.
#PSBM-41756 (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Nov 30 2015 Sergey Galas' <shrike@odin.com> 7.0.173
 - Fix maximum vcpu count determine bug (Alexander Burluka <aburluka@odin.com>) (#PSBM-41764)

* Mon Nov 30 2015 Sergey Galas' <shrike@odin.com> 7.0.172
 - Adapted Task_MountVm to use libguestfs, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fixed long VM names in tests (Alexander Burluka <aburluka@odin.com>) (#PSBM-41691)
 - Cleaned up Task_MountVm, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - add both devel and general dependencies on libguestfs. it is required for
mounting vms. (Sergey Galas <shrike@odin.com>)

* Mon Nov 30 2015 Sergey Galas' <shrike@odin.com> 7.0.171
 - Adapted Task_MountVm to use libguestfs, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fixed long VM names in tests (Alexander Burluka <aburluka@odin.com>) (#PSBM-41691)
 - Cleaned up Task_MountVm, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.170
 - Enable Hyper-V crash feature in domain xml for Windows guests #PSBM-40209
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove unused CDspVzHelper::toCtId function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Return back get_env_status_by_ctid function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add parse_ctid function to CVzHelper (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Added call to quest-ping via Libvirt from LoginInGuest to get error if guest
agent is not available. For #PSBM-41555 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - dependency on Direct.h is required (Sergey Galas <shrike@odin.com>)
 - Remove unused CDspVzHelper::toCtId function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - make more panic (Sergey Galas <shrike@odin.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Return back get_env_status_by_ctid function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Add parse_ctid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.169
 - Enable Hyper-V crash feature in domain xml for Windows guests #PSBM-40209
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove unused CDspVzHelper::toCtId function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Return back get_env_status_by_ctid function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add parse_ctid function to CVzHelper (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Added call to quest-ping via Libvirt from LoginInGuest to get error if guest
agent is not available. For #PSBM-41555 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - dependency on Direct.h is required (Sergey Galas <shrike@odin.com>)
 - Remove unused CDspVzHelper::toCtId function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - make more panic (Sergey Galas <shrike@odin.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Return back get_env_status_by_ctid function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Add parse_ctid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.168
 - Small refactoring for better maintainability (Dmitry Mishin
<dim@virtuozzo.com>)
 - This is a combination of 2 commits. (Sergey Galas <shrike@odin.com>) (#PSBM-41636 #PSBM-20830)
 - Cleanup unused function (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup a couple of useless functions (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix test that use too long vm_name (Alexander Burluka <aburluka@odin.com>) (#PSBM-41539)
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.167
 - This is a combination of 2 commits. (Sergey Galas <shrike@odin.com>) (#PSBM-41636 #PSBM-20830)
 - Fix test that use too long vm_name (Alexander Burluka <aburluka@odin.com>) (#PSBM-41539)
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.166
 - This is a combination of 2 commits. (Sergey Galas <shrike@odin.com>) (#PSBM-41636 #PSBM-20830)
 - Fix test that use too long vm_name (Alexander Burluka <aburluka@odin.com>) (#PSBM-41539)
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Nov 26 2015 Sergey Galas' <shrike@odin.com> 7.0.165
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Nov 26 2015 Sergey Galas' <shrike@odin.com> 7.0.164
 - Wrong error check #PSBM-41497 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.163
 - Remove optional QString parameter and use Expected<QString, ...> (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add conversion constructor Expected<void,E>::Expected(const Expected<T,E>&)
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-41519 (Sergey Galas <shrike@odin.com>)
 - Attach screenshot to problem report if VM is running #PSBM-41052 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.162
 - Remove optional QString parameter and use Expected<QString, ...> (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add conversion constructor Expected<void,E>::Expected(const Expected<T,E>&)
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Attach screenshot to problem report if VM is running #PSBM-41052 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.161
 - Remove obsoleted check of CD-ROM's system name (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.160
 - Compilation fix (Alexander Burluka <aburluka@odin.com>)
 - Add libvirt VM registration in clone routine (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41512)
 - actions code recures. need to move common parts to a single place and use
library tools for custom ones. (Sergey Galas <shrike@odin.com>)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.159
 - bug #PSBM-40910, #PSBM-40758 (Sergey Galas <shrike@odin.com>)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.158
 - Maximum vm name should be limited to 40 chars due to libvirt limit. (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-41464)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.157
 - Hardcode new name of guest tools iso for windows #PSBM-27606 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Fix flagset in cdrom media update libvirt call (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41441)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.156
 - Fix vlan interfaces lookup and network creation #PSBM-38601 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-41438 (Sergey Galas <shrike@odin.com>)

* Mon Nov 23 2015 Sergey Galas' <shrike@odin.com> 7.0.155
 - Change HDD/CD-ROM/FD target device naming policy (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-41341)
 - Add qemu state information to problem report #PSBM-27756 (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-40140)
 - Remove deprecated parameters setup (Alexander Burluka <aburluka@odin.com>)

* Fri Nov 20 2015 Sergey Galas' <shrike@odin.com> 7.0.154
 - prlctl mount --info for CT, #PSBM-28733 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Nov 20 2015 Sergey Galas' <shrike@odin.com> 7.0.153
 - rework online application of network settings to a vm (Sergey Galas
<shrike@odin.com>)
 - Remove check of guest tools state for network settings change (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-41376)
 - merge maxmemory (Sergey Galas <shrike@odin.com>)

* Thu Nov 19 2015 Sergey Galas' <shrike@odin.com> 7.0.152
 - GetNetworkSettings() call implementation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41376)
 - Restore HDD indexes #PSBM-41299 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix segfault (Alexander Burluka <aburluka@odin.com>) (#PSBM-41395)
 - Set network interface device name if it is empty in EditVM #PSBM-41108
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Thu Nov 19 2015 Sergey Galas' <shrike@odin.com> 7.0.150
 - GetNetworkSettings() call implementation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41376)
 - Fix segfault (Alexander Burluka <aburluka@odin.com>) (#PSBM-41395)
 - Set network interface device name if it is empty in EditVM #PSBM-41108
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Nov 18 2015 Sergey Galas' <shrike@odin.com> 7.0.149
 - Moved wakeUp() for "stdin finished" event to variant (optionally). (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-41201)
 - Change network settings of guest on the fly, via qga (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-41376)
 - ConfigCache do stat() on every get config action (Igor Sukhih
<igor@parallels.com>)
 - Collect 15s QEMU event trace for problem report #PSBM-38957 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Nov 18 2015 Sergey Galas' <shrike@odin.com> 7.0.148
 - Wait for response processor to finish before reporting Task_Exec as
completed. (Yuri Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-41322)
 - Single-call API for guest exec (combined start and waiti for result). (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-39325)

* Tue Nov 17 2015 Sergey Galas' <shrike@odin.com> 7.0.147
 - bug #PSBM-40777 (Sergey Galas <shrike@odin.com>)
 - minor code improvements (Sergey Galas <shrike@odin.com>)

* Tue Nov 17 2015 Sergey Galas' <shrike@odin.com> 7.0.146
 - Refactor guest-exec api to provide future result. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-39325)

* Mon Nov 16 2015 Sergey Galas' <shrike@odin.com> 7.0.145
 - bug #PSBM-41319 (Sergey Galas <shrike@odin.com>)
 - make expected implicitly constructable. use variant version of boost::get.
(Sergey Galas <shrike@odin.com>)

* Mon Nov 16 2015 Sergey Galas' <shrike@odin.com> 7.0.144
 - bug #PSBM-41152 (Sergey Galas <shrike@odin.com>)
 - Reflect recent changes in guest tools paths in tests #PSBM-41192 (Dmitry
Mishin <dim@virtuozzo.com>)
 - Preserve RATE and RATEBOUND values in our config (PSBM-41182) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com> 7.0.143
 - Add libvirt text error to response package (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39113)
 - move dispatcher related stuff into Vm model. protect a vm directory item
insertion with the general lock just like other parts of dispatcher do in the
same case. (Sergey Galas <shrike@odin.com>)
 - rename View namespace into Model (Sergey Galas <shrike@odin.com>)
 - move agents to a separate source file (Sergey Galas <shrike@odin.com>)
 - Do not add USB keyboard (PSBM-41240) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Fix empty <serial></serial> #PSBM-41173 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Enable problem directory cleaning after problem report sent #PSBM-41204
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.142
 - Added workaround for stdin timeout when running non-interactive prlctl exec
(Yuri Pudgorodskiy <yur@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.140
 - Revert "workaround for bug #PSBM-32774" (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Added recent libvirt as dependency, #PSBM-32774 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.139
 - Fix compilation with updated vzkernel-headers (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.138
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)
 - fixes style of exec vm (Sergey Galas <shrike@odin.com>)
 - Prohibit sound devices #PSBM-41159 This type of devices is not typically used
in datacenters deployments and thus we do not support it. (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add input devices (PSBM-40423) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Configure USB controllers (PSBM-40423) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.137
 - fixes style of exec vm (Sergey Galas <shrike@odin.com>)
 - Prohibit sound devices #PSBM-41159 This type of devices is not typically used
in datacenters deployments and thus we do not support it. (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add input devices (PSBM-40423) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Configure USB controllers (PSBM-40423) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.136
 - Refactored Task_ExecVm::execCt with template variant/visitor pattern (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-39325)
 - Guest exec functionality via libvirt and qemu guest agent. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-39325)
 - Compile fixes for ignored fgets() return value (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.135
 - bug #PSBM-41139 (Sergey Galas <shrike@odin.com>)
 - multiple ip addresses inside domain interface options (Sergey Galas
<shrike@odin.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.134
 - Do not send reply in InstallTools in case of not found config because
getConfig() does it (Dmitry Mishin <dim@virtuozzo.com>)
 - Use dump in kdump-compressed format, with zlib compression (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-40579)
 - Change path to Linux guest tools #PSBM-27605 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Handle DspCmdVmInstallTools command #PSBM-41060 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add 'Reset' command forwarding to libvirt #PSBM-41062 (Dmitry Mishin
<dim@virtuozzo.com>)

* Mon Nov 09 2015 Sergey Galas' <shrike@odin.com> 7.0.133
 - Send valid information about virtual networks #PSBM-40873 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Nov 06 2015 Sergey Galas' <shrike@odin.com> 7.0.132
 - Change regexp for disk's serial string (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-41056)
 - Add VM IO priority support (Alexander Burluka <aburluka@odin.com>) (#PSBM-40909)

* Fri Nov 06 2015 Sergey Galas' <shrike@odin.com> 7.0.131
 - Fix incorrect condition #PSBM-41047 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - style fixes. (Sergey Galas <shrike@odin.com>)

* Thu Nov 05 2015 Sergey Galas' <shrike@odin.com> 7.0.130
 - IO limits are now set per VM disk (Alexander Burluka <aburluka@odin.com>) (#PSBM-27716)
 - Fixed prl_disk_tool call for resizing. (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Cleaned up Task_DiskImageResizer. (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Nov 05 2015 Sergey Galas' <shrike@odin.com> 7.0.129
 - Cosmetic changes to setUserPasswd (Dmitry Mishin <dim@virtuozzo.com>)
 - Implementation of "set user password" functionality for VMs (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-40811)
 - MERGE -c 1189922 from psbm6-u11. Consider template flag when calculating
shaman resources, see #PSBM-32613 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.128
 - bug #PSBM-40974 (Sergey Galas <shrike@odin.com>)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.127
 - Fix compilation (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Setup traffic accounting and shaping for VMs (#PSBM-40439) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Change Task_NetworkShapingManagement::setNetworkRate() argument from
SmartPtr& to reference (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Set dispatcher's coredump size limit to 256mb. (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make Uuid::toVzid() produce the same veid as ctid2veid() from libvzctl
(#PSBM-40439) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.126
 - Setup traffic accounting and shaping for VMs (#PSBM-40439) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Change Task_NetworkShapingManagement::setNetworkRate() argument from
SmartPtr& to reference (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Set dispatcher's coredump size limit to 256mb. (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make Uuid::toVzid() produce the same veid as ctid2veid() from libvzctl
(#PSBM-40439) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Nov 02 2015 Sergey Galas' <shrike@odin.com> 7.0.125
 - bug #PSBM-40958 (Sergey Galas <shrike@odin.com>)

* Mon Nov 02 2015 Sergey Galas' <shrike@odin.com> 7.0.124
 - make Address type default constructible and reusable. (Sergey Galas
<shrike@odin.com>)
 - make Address type default constructible and reusable. (Sergey Galas
<shrike@odin.com>)
 - bug #PSBM-40767 (Sergey Galas <shrike@odin.com>)
 - Set disk size in our VM config (#PSBM-40259) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Oct 30 2015 Sergey Galas' <shrike@odin.com> 7.0.123
 - Set target number for SCSI devices because only first unit is bootable
#PSBM-40826 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Oct 28 2015 Sergey Galas' <shrike@odin.com> 7.0.122
 - Prevent from loosing of an OS version in VM config after conversion from
libvirt's xml #PSBM-40209 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Check VM name length in VM configuration validation #PSBM-39975 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Oct 28 2015 Sergey Galas' <shrike@odin.com> 7.0.121
 - Ignore port changes for VNC with auto mode #PSBM-40768 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Enable relaxed, spinlocks and vapic Hyper-V features and add hypervclock
timer for VMs with 'windows' guest OS version > win-2008 #PSBM-40209 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Oct 27 2015 Sergey Galas' <shrike@odin.com> 7.0.120
 - Use system's libnetlink rather than own copy (#PSBM-33556) (Dmitry Mishin
<dim@virtuozzo.com>)
 - Remove deprecated VM shutdown functions #PSBM-38688 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - update build requirements (Sergey Galas <shrike@odin.com>)

* Tue Oct 27 2015 Sergey Galas' <shrike@odin.com> 7.0.119
 - bug #PSBM-40529 (Sergey Galas <shrike@odin.com>)
 - Show valid VNC status in "prlctl list -i" #PSBM-40340 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Disable VM stopping on service stop #PSBM-38688 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Move MPL vector size definition in compiler's flags (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Begin type is redundant. it's only purpose is to trigger shutdown. it is
better to move that logic into the activity class to have everything in a single
place. (Sergey Galas <shrike@odin.com>)
 - Add installation of environment file #PSBM-40347 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Oct 24 2015 Sergey Galas' <shrike@odin.com> 7.0.117
 - Identify Containers by their native UUIDs, rather than UUIDs, generated by a
dispatcher (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-34267)
 - bug #PSBM-35301 (Sergey Galas <shrike@odin.com>)
 - SATA is now no valid iface type for any guest (Alexander Burluka
<aburluka@odin.com>) (#PSBM-40485)
 - schema contains duplicates of pod types. fortunatelly, we process data
declarations during the parsing stage only. then we could add only these types
for which the registry doesn't have entry of the same name and c++ data type.
(Sergey Galas <shrike@odin.com>)

* Fri Oct 23 2015 Sergey Galas' <shrike@odin.com> 7.0.116
 - Send VM problem report on guest panicked #PSBM-27754 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Oct 22 2015 Sergey Galas' <shrike@odin.com> 7.0.115
 - Run VM internal commands in separate thread #PSBM-40579 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Include libvirt's logging environment variables in prl-disp service
configuration and attach libvirt's log file to a problem report #PSBM-40347
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.114
 - bug #PSBM-40534 (Sergey Galas <shrike@odin.com>)
 - Libvirt has a special xml namespace for qemu commandline aguments, we use
commandline to pass logging parameters #PSBM-40323 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.113
 - Fix condition for #PSBM-40356 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-40515 (Sergey Galas <shrike@odin.com>) (#PSBM-40515)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.112
 - bug #PSBM-40419 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-40085 (Sergey Galas <shrike@odin.com>)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.111
 - Handle PMS_VIRTIO_BLOCK_DEVICE storage controller type (#PSBM-39893) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.110
 - clear call results in av if the object is in uninitalized state. check state
and quit if it is already clean. (Sergey Galas <shrike@odin.com>)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.109
 - bug #PSBM-39899 (Sergey Galas <shrike@odin.com>) (#PSBM-39899 #PSBM-39899)

* Thu Oct 15 2015 Sergey Galas' <shrike@odin.com> 7.0.108
 - Attach libvirt's VM log to a problem report #PSBM-40347 (Dmitry Andreev
<dandreev@odin.com>)
 - Add QGA channel to the devices list (PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Since we use qemu only port numbers greater than 5899 are possible
#PSBM-39807 (Dmitry Andreev <dandreev@odin.com>)

* Tue Oct 13 2015 Sergey Galas' <shrike@odin.com> 7.0.107
 - Remove auto filling veth interface names for prlctl -i #PSBM-40342 (Dmitry
Andreev <dandreev@odin.com>)
 - Do not set empty disk serial number (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Handle SCSI controller model (#PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Mon Oct 12 2015 Sergey Galas' <shrike@odin.com> 7.0.106
 - Do not set empty disk serial number (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Handle SCSI controller model (#PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Mon Oct 12 2015 Sergey Galas' <shrike@odin.com> 7.0.105
 - Change default scheme of host veth interface name generation and save default
name in VM config #PSBM-39735 (Dmitry Andreev <dandreev@odin.com>)

* Mon Oct 12 2015 Sergey Galas' <shrike@odin.com> 7.0.104
 - bug #PSBM-38901 (Sergey Galas <shrike@odin.com>)

* Wed Oct 07 2015 Sergey Galas' <shrike@odin.com> 7.0.103
 - Do not use deprecated ploop_read_disk_descr()/ ploop_free_diskdescriptor()
(Igor Sukhih <igor@parallels.com>)

* Fri Oct 02 2015 Sergey Galas' <shrike@odin.com> 7.0.101
 - Add implementation of DspCmdVmInternal "dbgdump" command #PSBM-27758 The
implementation is based on Qemu HMP command "dump-guest-memory". Usage: prlctl
internal <VM> dbgdump --path <file-path> Result: full guest memory dump. (Dmitry
Andreev <dandreev@odin.com>)
 - Bugfix: unable to add hdd to new VM #PSBM-39869 Fixed: transponster Direct
didn't set correct StackIndex in disk configuration. Fixed: transponster/reverse
didn't set correct controller/bus/unit ids for disks. Fixed:
transponster/reverse didn't configure SCSI disks and didn't create additional
SCSI controllers. (Dmitry Andreev <dandreev@odin.com>)
 - Set default cpu mode in libvirt domain to host-passthrough for #PSBM-39355
<cpu mode='host-passthrough'/> (Dmitry Andreev <dandreev@odin.com>)

* Wed Sep 30 2015 Sergey Galas' <shrike@odin.com> 7.0.100
 - XML model for snapshots (Sergey Galas <shrike@odin.com>)

* Mon Sep 28 2015 Sergey Galas' <shrike@odin.com> 7.0.99
 - compilation is fixed (Sergey Galas <shrike@odin.com>)
 - Removed all unused platform ifdefs (Alexander Burluka <aburluka@odin.com>)
 - Change default VM director to /vz/vmprivate (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39772)
 - bump version (Sergey Galas <shrike@odin.com>)
 - Enable lazy refcounts by default for VM's HDD when creating image #PSBM-39901
(Dmitry Andreev <dandreev@odin.com>)

* Mon Sep 28 2015 Sergey Galas' <shrike@odin.com> 7.0.98
 - Removed all unused platform ifdefs (Alexander Burluka <aburluka@odin.com>)
 - Change default VM director to /vz/vmprivate (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39772)
 - bump version (Sergey Galas <shrike@odin.com>)
 - Enable lazy refcounts by default for VM's HDD when creating image #PSBM-39901
(Dmitry Andreev <dandreev@odin.com>)

* Thu Sep 24 2015 Sergey Galas' <shrike@odin.com> 7.0.97
 - bug #PSBM-35322 (Sergey Galas <shrike@odin.com>)
 - Fix disk IO mode in domain #PSBM-39896 (Dmitry Andreev <dandreev@odin.com>)
 - Load unhandled CT parameter to xml config to raw section #PSBM-34051 (Igor
Sukhih <igor@parallels.com>)

* Mon Sep 21 2015 Sergey Galas' <shrike@odin.com> 7.0.96
 - Add register VM testcase (Alexander Burluka <aburluka@odin.com>) (#PSBM-34681)

* Thu Sep 17 2015 Sergey Galas' <shrike@odin.com> 7.0.95
 - EFI boot support #PSBM-37908 (Dmitry Andreev <dandreev@odin.com>)
 - Update Libvirt's schemas support to 1.2.9. #PSBM-39778 (Dmitry Andreev
<dandreev@odin.com>)
 - Remove google-breakpad #PSBM-39388 (Dmitry Andreev <dandreev@odin.com>)

* Tue Sep 15 2015 Sergey Galas' <shrike@odin.com> 7.0.94
 - bug #PSBM-39745 (Sergey Galas <shrike@odin.com>)
 - Feature: Attach libvirt domain config to problem report #PSBM-39687 * Add
CurrentVmDomain field for libvirt domain config to problem report xml scheme. *
Add libvirt domain config getter. * Attach libvirt domain config to problem
report using CurrentVmDomain field. (Dmitry Andreev <dandreev@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.93
 - Fix VM registration #PSBM-39732 (Alexander Burluka <aburluka@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.92
 - data and temlate data sockets in CT migration must be non blocked (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-39292)
 - Feature: guest panic detection #PSBM-27754 (Dmitry Andreev
<dandreev@odin.com>)
 - Support custom name of veth pair host end, #PSBM-39513 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fix race in Task_VzMigrate and some other minor troubles #PSBM-34986
(Alexander Burluka <aburluka@odin.com>)
 - Remove Crash Report Monitor and report generation on VM dissconnect.
(dandreev <dandreev@odin.com>) (#PSBM-39297)
 - remote display configuration can be in disable state. don't create a libvirt
device in that case (Sergey Galas <shrike@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.91
 - data and temlate data sockets in CT migration must be non blocked (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-39292)
 - Feature: guest panic detection #PSBM-27754 (Dmitry Andreev
<dandreev@odin.com>)
 - Support custom name of veth pair host end, #PSBM-39513 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fix race in Task_VzMigrate and some other minor troubles #PSBM-34986
(Alexander Burluka <aburluka@odin.com>)
 - Remove Crash Report Monitor and report generation on VM dissconnect.
(dandreev <dandreev@odin.com>) (#PSBM-39297)
 - remote display configuration can be in disable state. don't create a libvirt
device in that case (Sergey Galas <shrike@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.90
 - data and temlate data sockets in CT migration must be non blocked (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-39292)
 - Feature: guest panic detection #PSBM-27754 (Dmitry Andreev
<dandreev@odin.com>)
 - Support custom name of veth pair host end, #PSBM-39513 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fix race in Task_VzMigrate and some other minor troubles #PSBM-34986
(Alexander Burluka <aburluka@odin.com>)
 - Remove Crash Report Monitor and report generation on VM dissconnect.
(dandreev <dandreev@odin.com>) (#PSBM-39297)
 - remote display configuration can be in disable state. don't create a libvirt
device in that case (Sergey Galas <shrike@odin.com>)

* Wed Aug 26 2015 Sergey Galas' <shrike@odin.com> 7.0.90
 - the prev code tries to schedule multiple child tasks for a single
CDspTaskHelper object which is prohibited. the overall design is also wrong
because we first schedule a thread for every container and then schedule another
one. this is a whole waste of resources. a VzHelper task ends in a single call
to CVzOperationHelper instance. that's all we need here actually. replace the
second task schedule with a direct call to vzctl (Sergey Galas
<shrike@odin.com>)
 - bug #PSBM-38748 @110345 Fix length of control message (Inga Pyass
<ipyass@virtuozzo.com>)
 - Auto start CTs in parallel #PSBM-34836 (Igor Sukhih <igor@parallels.com>)
 - Attach ploop and pcompact log files to problem report #PSBM-38724 (Dmitry
Andreev <dandreev@odin.ru>)

* Wed Aug 12 2015 Sergey Galas' <shrike@odin.com> 7.0.89
 - Add network adapter type converting to/from libvirt format, #PSBM-38658
(Maxim Perevedentsev <mperevedentsev@parallels.com>)
 - bug #PSBM-37910 (Sergey Galas <shrike@odin.com>)
 - MERGE Implement detach and reattach for the client side of the
IOCommunication connection (#PSBM-29120) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - bug #PSBM-35301 (Sergey Galas <shrike@odin.com>)

* Thu Jul 30 2015 Sergey Galas' <shrike@odin.com> 7.0.88
 - reboot event requires virConnectDomainEventGenericCallback (Sergey Galas
<shrike@odin.com>)

* Tue Jul 28 2015 Sergey Galas' <shrike@odin.com> 7.0.87
 - Dispatcher doesn't send event after CT changed state, #PSBM-35119 Reviewed-
by: shrike Observers: myakhin, ibazhitov Adopt
CDspClientManager::getSessionsListSnapshot() to work with CT. (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-35048 (Sergey Galas <shrike@odin.com>)

* Tue Jul 28 2015 Sergey Galas' <shrike@odin.com> 7.0.86
 - bug #PSBM-35048 (Sergey Galas <shrike@odin.com>)

* Wed Jul 22 2015 Sergey Galas' <shrike@odin.com> 7.0.84
 - - Set STP=off (according to shrike@ it fix Netwotk Manager DELAY invalid when
STP is disabled message) - Skip ifaces with ONBOOT != yes (them are useless for
dispatcher) - Use prefix for backup files instead of suffix due to
NetworkManager glob, see #PSBM-35100 (Konstantin <wolf@parallels.com>)
 - CVzExecHelper::run_cmd: Use ctid to manage CT (Igor Sukhih
<igor@parallels.com>)
 - Dispatcher can now return VM config with autogenerated params (Alexander
Burluka <aburluka@odin.com>) (#PSBM-34906)

* Wed Jul 22 2015 Konstantin <wolf@parallels.com> 7.0.83
 - Set STP=off (according to shrike@ it fix Netwotk Manager DELAY invalid when
   STP is disabled message)
 - Skip ifaces with ONBOOT != yes (them are useless for
   dispatcher)
 - Use prefix for backup files instead of suffix due to
   NetworkManager glob, see #PSBM-35100
 - CVzExecHelper::run_cmd: Use ctid to manage CT (Igor Sukhih
   <igor@parallels.com>)
 - Dispatcher can now return VM config with autogenerated params (Alexander
   Burluka <aburluka@odin.com>) (#PSBM-34906)

* Wed Jul 22 2015 Sergey Galas' <shrike@odin.com> 7.0.82
 - Dispatcher can now return VM config with autogenerated params (Alexander
Burluka <aburluka@odin.com>) (#PSBM-34906)

* Tue Jul 21 2015 Sergey Galas' <shrike@odin.com> 7.0.81
 - bug #PSBM-35052 (Sergey Galas <shrike@odin.com>)
 - Add DELAY=2 to every bridge due to kernel maillist howto (Konstantin
<wolf@parallels.com>)

* Mon Jul 20 2015 Konstantin <wolf@parallels.com> 7.0.80
 - Check for parameters parsign failure, see #PSBM-34912

* Mon Jul 20 2015 Konstantin <wolf@parallels.com> 7.0.79
 - Added bridge creation script. (Maxim Perevedentsev
<mperevedentsev@parallels.com>), see #PSBM-34912
 - Add create_bridges.py ro dispatcher rpm, see #PSBM-34912

* Thu Jul 16 2015 Sergey Galas' <shrike@odin.com> 7.0.78
 - bug #PSBM-34945 (Sergey Galas <shrike@odin.com>)
 - MERGE Collect CT statistics asynchronously in Dispatcher (#PSBM-34186) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.77
 - bug #PSBM-34922 (Sergey Galas <shrike@odin.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.76
 - Fix CT move to existing destination scenario, #PSBM-34188 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Report filesystem statistics from linux containers (#PSBM-33065, #PSBM-33066,
#PSBM-33069) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.75
 - Fix CT move to existing destination scenario, #PSBM-34188 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Report filesystem statistics from linux containers (#PSBM-33065, #PSBM-33066,
#PSBM-33069) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.75
 - bug #PSBM-29503 (Sergey Galas <shrike@odin.com>)

* Tue Jul 14 2015 Sergey Galas' <shrike@odin.com> 7.0.74
 - bug #PSBM-34885 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34763 (Sergey Galas <shrike@odin.com>)

* Tue Jul 14 2015 Sergey Galas' <shrike@odin.com> 7.0.73
 - bug #PSBM-34885 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34763 (Sergey Galas <shrike@odin.com>)

* Tue Jul 14 2015 Sergey Galas' <shrike@odin.com> 7.0.73
 - bug #PSBM-33359 (Sergey Galas <shrike@odin.com>)

* Mon Jul 13 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.72
 - Fix gitignore for XmlModels (#PSBM-34018)

* Fri Jul 10 2015 Sergey Galas' <shrike@odin.com> 7.0.71
 - bug #PSBM-34851 (Sergey Galas <shrike@odin.com>)
 - Set SystemName section in Serial/Parallel Port VM config equal to
UserFriendlyName section while converting from libvirt configuration. Set
correct EmulatedType. (Dmitry Andreev <dandreev@odin.ru>)
 - Only SerialPort OutputFile type is currently allowed because of libvirt.
(Dmitry Andreev <dandreev@odin.ru>)
 - Serial ports in VM are often used for debug output. This code attaches serial
ports output file to VM problem report. #PSBM-34029 (Dmitry Andreev
<dandreev@odin.ru>)

* Fri Jul 10 2015 Sergey Galas' <shrike@odin.com> 7.0.70
 - bug #PSBM-34851 (Sergey Galas <shrike@odin.com>)

* Fri Jul 10 2015 Sergey Galas' <shrike@odin.com> 7.0.69
 - Do not start CT on prl-disp.service restart, #PSBM-34778 (Igor Sukhih
<igor@parallels.com>)

* Fri Jul 10 2015 Igor Sukhih <igor@parallels.com> 7.0.68
 - Fix incorrect QByteArray comparison in tests
 - Added device StackIndex and Interface Type support for CT
 - prl-disp.service: move vcmmd.service requires to vz.service

* Wed Jul 08 2015 Igor Sukhih <igor@parallels.com> 7.0.67
 - Move vz_pre_sart logic from prl-disp.service to vz.service
 - If dev:class is not in RATEMPU, then packet rate limit is disabled.

* Tue Jul 07 2015 Sergey Galas' <shrike@odin.com> 7.0.66
 - Fix test_parallels_dir (Alexander Burluka <aburluka@odin.com>)
 - #PSBM-34745 (Alexander Burluka <aburluka@odin.com>)

* Mon Jul 06 2015 Sergey Galas' <shrike@odin.com> 7.0.65
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Unable to register CT by uuid, PSBM-34685 (Igor Sukhih <igor@parallels.com>)

* Mon Jul 06 2015 Sergey Galas' <shrike@odin.com> 7.0.64
 - bug #PSBM-34701. get rid of unused sparse bitmap (Sergey Galas
<shrike@odin.com>)
 - Fixed minor lacks in test archivation (Alexander Burluka <aburluka@odin.com>)
 - Fixed mistype (Alexander Burluka <aburluka@odin.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.63
 - bug #PSBM-34549 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Unittests should be built in single thread (Alexander Burluka
<aburluka@odin.com>)
 - #PSBM-34695 (Alexander Burluka <aburluka@odin.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.62
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.61
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.60
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.59
 - Switch to Container creation in registerVM test #PSBM-34655
 - OpenStack needs to create a virtual network attached to an existing bridge. ok.
(Sergey Galas <shrike@odin.com>)

* Thu Jul 02 2015 Sergey Galas' <shrike@odin.com> 7.0.58
 - bug #PSBM-34666 (Sergey Galas <shrike@odin.com>)
 - CVzOperationHelper::apply_env_config: use CTID to open CT config (Igor Sukhih
<igor@parallels.com>)

* Thu Jul 02 2015 Sergey Galas' <shrike@odin.com> 7.0.57
 - CVzOperationHelper::apply_env_config: use CTID to open CT config (Igor Sukhih
<igor@parallels.com>)

* Thu Jul 02 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.57
 - Restored Containers auto-start functionality #PSBM-34651

* Thu Jul 02 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.56
 - Fix pls-sdk-unit #PSBM-34515 (Alexander Burluka <aburluka@odin.com>)
 - bug #PSBM-34328 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34328 (Sergey Galas <shrike@odin.com>)

* Wed Jul 01 2015 Sergey Galas' <shrike@odin.com> 7.0.54
 - bug #PSBM-34328 (Sergey Galas <shrike@odin.com>)

* Mon Jun 29 2015 Sergey Galas' <shrike@odin.com> 7.0.53
 - bug #PSBM-34476 (Sergey Galas <shrike@odin.com>)
 - Unable to register Container #PSBM-33769 (Igor Sukhih <igor@parallels.com>)
 - DspCmdDirReg3rdPartyVm now generated PRL_ERR_UNIMPLEMENTED #PSBM-13737
(Alexander Burluka <aburluka@odin.com>)
 - vz_pre_start: Update default allow syfs list, #PSBM-34435 #PSBM-34436 (Igor
Sukhih <igor@parallels.com>)
 - Changed faulty constant name (NPM_*) to correct (NRM_*). (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Added RateMPU param to Xml schema. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Added packet rate limitation (RateMPU) tests. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Added RATEMPU conversion to/from vz.conf param. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)

* Fri Jun 26 2015 Sergey Galas' <shrike@odin.com> 7.0.52
 - Unable to register Container #PSBM-33769 (Igor Sukhih <igor@parallels.com>)
 - DspCmdDirReg3rdPartyVm now generated PRL_ERR_UNIMPLEMENTED #PSBM-13737
(Alexander Burluka <aburluka@odin.com>)
 - vz_pre_start: Update default allow syfs list, #PSBM-34435 #PSBM-34436 (Igor
Sukhih <igor@parallels.com>)

* Mon Jun 22 2015 Sergey Galas' <shrike@odin.com> 7.0.51
 - vz_pre_start: Update default allow syfs list (Igor Sukhih
<igor@parallels.com>)

* Mon Jun 22 2015 Sergey Galas' <shrike@odin.com> 7.0.50
 - Fix unittests build (Alexander Burluka <aburluka@odin.com>)
 - Fixed test deps files so qmake will work (Alexander Burluka
<aburluka@odin.com>)
 - Export collected VM guest filesystem statistics via performance counters
(#PSBM-33065, #PSBM-33066, #PSBM-33069) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add README (Sergey Bronnikov <sergeyb@openvz.org>)
 - Add internal tests rpm build instructions (Alexander Burluka
<aburluka@odin.com>)

* Fri Jun 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.49-2
 - Removed cpupools dependency, see #PSBM-34393

* Thu Jun 11 2015 Sergey Galas' <shrike@odin.com> 7.0.49
 - Fix clone operation for containers, #PSBM-34141 (Nikita Spiridonov
<nspiridonov@odin.com>)

* Wed Jun 10 2015 Sergey Galas' <shrike@odin.com> 7.0.48
 - bug #PSBM-34155 (Sergey Galas <shrike@odin.com>)
 - Fix containers move operation if destination already exists, #PSBM-34076
(Nikita Spiridonov <nspiridonov@odin.com>)
 - Fix containers move operation if destination already exists, #PSBM-34076
(Nikita Spiridonov <nspiridonov@odin.com>)
 - Unable to work with CT by VEID (Igor Sukhih <igor@parallels.com>)

* Mon Jun 08 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.47
 - Added forgoten during commit 92c3c07649d hunk (#PSBM-34083)

* Mon Jun 08 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.46
 - Fixed listing of Containers identified by UUIDs only #PSBM-34075

* Fri Jun 05 2015 Igor Sukhih <igor@parallels.com> 7.0.45
 - prl-disp SIGSEGV on CT create, #PSBM-34069

* Fri Jun 05 2015 Sergey Galas' <shrike@odin.com> 7.0.44
 - Fix containers move operation, #PSBM-33992 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Remove unused variable (Nikita Spiridonov <nspiridonov@odin.com>)
 - Use dynamic linking with libvzctl (Igor Sukhih <igor@parallels.com>)
 - Unable to work with CT by VEID (Igor Sukhih <igor@parallels.com>)
 - #PSBM-33986 (Igor Sukhih <igor@parallels.com>)
 - Fix CT rename during clone, #PSBM-33982 (Nikita Spiridonov
<nspiridonov@odin.com>)

* Thu Jun 04 2015 Sergey Galas' <shrike@odin.com> 7.0.43
 - unused (Sergey Galas <shrike@odin.com>)
 - Updated git source URL (Daniil Guzanov <dguzanov@odin.com>)

* Tue Jun 02 2015 Sergey Galas' <shrike@odin.com> 7.0.42
 - Unconditionally set QSettings file permissions (Igor Bazhitov
<ibazhitov@odin.com>)
 - Make QSettings file accessible only for root (#PSBM-26090) (Igor Bazhitov
<ibazhitov@odin.com>)

* Sat May 30 2015 Konstantin Volkov <wolf@parallels.com> 7.0.41
 - Use less strong requires for prl-disp.service, see #PSBM-32779

* Sat May 30 2015 Dmitry Mishin <dim@parallels.com> 7.0.40
 - set/get serial ports of libvirt backed vms. (Sergey Galas <shrike@odin.com>)

* Thu May 28 2015 Igor Sukhih <igor@parallels.com> 7.0.39-2
- Added requires to bm-release package, see #PSBM-33861

* Thu May 28 2015 Igor Sukhih <igor@parallels.com> 7.0.39
 - Fixed compilation
 - Added requires to vcmmd.service, see #PSBM-33830
 - Unable to register CT, #PSBM-33769

* Thu May 28 2015 Konstantin Volkov <wolf@parallels.com> 7.0.38
 - Added requires to vcmmd.service, see #PSBM-33830
 - Unable to register CT (Igor Sukhih <igor@parallels.com>)

* Thu May 28 2015 Konstantin Volkov <wolf@odin.com> 7.0.37-2
- Removed default preset creation, see #PSBM-33830

* Tue May 26 2015 Igor Sukhih <igor@parallels.com> 7.0.37
 - Change EnvId type from integer to string, #PSBM-33779
 - Cleanup not used in vz conversion functionality
 - Remove unattended guest installation support
 - Remove all backup-related functionality from a dispatcher
 - Proper name for Libraries directory in COPYING statement
 - Added proper .gitignore for the repository
 - restore network statistics for win

* Wed May 20 2015 Sergey Galas' <shrike@odin.com> 7.0.36
 - app per vcpu counter (Nikolay Shirokovskiy <nshirokovskiy@parallels.com>)
 - Remove unused/unimplemented Vz specific code (Igor Sukhih <igor@parallels.com>)

* Tue May 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.35
 - Try to start bridge without LibVirt interface
 - Cleanup CEP report tester conf example (Dmitry Mishin <dim@parallels.com>)
 - Merge branch 'master' of ssh://git.sw.ru/vzs/prl-disp-service (Dmitry Mishin <dim@parallels.com>)
 - Cleanup PD-related code from BugPatcher (Dmitry Mishin <dim@parallels.com>)
 - Delete code related to SmartGuard functionality (Dmitry Mishin <dim@parallels.com>)
 - Merge branch 'master' of ssh://git.sw.ru/vzs/prl-disp-service (Dmitry Mishin <dim@parallels.com>)
 - Delete current AutoStatistics logic (Dmitry Mishin <dim@parallels.com>)
 - Try to start bridge before common start

* Tue May 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.34
 - Try to start bridge before common start
 - Delete code related to SmartGuard functionality (Dmitry Mishin <dim@parallels.com>)
 - Merge branch 'master' of ssh://git.sw.ru/vzs/prl-disp-service (Dmitry Mishin <dim@parallels.com>)
 - Delete current AutoStatistics logic (Dmitry Mishin <dim@parallels.com>)

* Tue May 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.33
 - Do restart main bridge interface before bridge start

* Tue May 19 2015 Sergey Galas' <shrike@odin.com> 7.0.32
 - don't stop bridge because its slave cannot start (Sergey Galas <shrike@odin.com>)
 - need to stop slave interface of a new bridge so that start of the bridge would inject it properly. have to stop the bridge itself to workaround the NetworkManager background activity. (Sergey Galas <shrike@odin.com>)
 - Removed commented code (Igor Sukhih <igor@parallels.com>)

* Tue May 19 2015 Sergey Galas' <shrike@odin.com> 7.0.31
 - need to stop slave interface of a new bridge so that start of the bridge would inject it properly. have to stop the bridge itself to workaround the NetworkManager background activity. (Sergey Galas <shrike@odin.com>)
 - Removed commented code (Igor Sukhih <igor@parallels.com>)

* Fri May 15 2015 Sergey Galas' <shrike@odin.com> 7.0.30
 - bug #PSBM-33121 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Fri May 15 2015 Sergey Galas' <shrike@odin.com> 7.0.29
 - bug #PSBM-33121 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Fri May 15 2015 Sergey Galas' <shrike@odin.com> 7.0.28
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Thu May 14 2015 Konstantin Volkov <wolf@parallels.com> 7.0.27
 - Depends back on network.target, revert, see #PSBM-33121
 - Add libnl symlink, needed for dlopen, see #PSBM-33121

* Thu May 14 2015 Sergey Galas' <shrike@odin.com> 7.0.26
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Thu May 14 2015 Konstantin Volkov <wolf@parallels.com> 7.0.25
 - Depends on network-online.target, see #PSBM-33121

* Tue May 12 2015 Sergey Galas' <shrike@odin.com> 7.0.24
 - bug #PSBM-33296 (Sergey Galas <shrike@odin.com>)
 - qt signal and slot macros require parentheses as well (Sergey Galas <shrike@odin.com>)
 - DEVNODES parameter isn't applied for a new CT from sample config (Igor Sukhih <igor@parallels.com>)

* Wed May 06 2015 Igor Sukhih <igor@parallels.com> 7.0.23
 - Remove Virtuozzo specific network management logic
 - Do not trigger CEP report creation whenAutoStatisticReport is canceled, see #PSBM-32510

* Wed May 06 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.22-2
 - Dropped deps and build-deps on vznetcfg

* Tue May 05 2015 Igor Sukhih <igor@parallels.com> 7.0.22
 - switch to new libvzctl API
 - veth adapter removed in case iface readd
 - on config update venet0 iface deleted as veth device

* Mon Apr 20 2015 Sergey Galas' <shrike@odin.com> 7.0.21
 - remove offline management stuff, see #PSBM-32946 (Igor Bazhitov <ibazhitov@odin.com>)

* Wed Apr 15 2015 Sergey Galas' <shrike@odin.com> 7.0.20
 - keep tray open for cdrom and floppy devices. (Sergey Galas <shrike@odin.com>)

* Tue Apr 14 2015 Sergey Galas' <shrike@odin.com> 7.0.19
 - fixes the network availability aka bug #PSBM-32893. (Sergey Galas <shrike@odin.com>)
 - start a new bridge after creation (Sergey Galas <shrike@odin.com>)
 - use proper units for video memory in both xml models (Sergey Galas <shrike@odin.com>)
 - copy dhcp settings from a physical device to a bridge (Sergey Galas <shrike@odin.com>)

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.18
 - Updated license #PSBM-26802

* Thu Apr 09 2015 Sergey Galas' <shrike@odin.com> 7.0.17
 - disable stp for bridges (Sergey Galas <shrike@odin.com>)

* Wed Apr 08 2015 Sergey Galas' <shrike@odin.com> 7.0.16
 - workaround for bug #PSBM-32774 (Sergey Galas <shrike@odin.com>)

* Wed Apr 08 2015 Konstantin Volkov <wolf@parallels.com> 7.0.15
 - Revert venet startup from prl_disp, see #PSBM-32775

* Wed Apr 08 2015 Sergey Galas' <shrike@odin.com> 7.0.14
 - workaround network issues (Sergey Galas <shrike@odin.com>)

* Tue Apr 07 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.13
 - rebuild with ploop 7.0.x #PSBM-32811

* Mon Apr 06 2015 Igor Sukhih <igor@parallels.com> 7.0.12
 - configure venet0 iface from vz_pre_start #PSBM-32775

* Thu Apr 02 2015 Sergey Galas' <shrike@odin.com> 7.0.11
 - bug #PSBM-32757
 - quit from context without freeing resources is bad. always close on error paths. (Sergey Galas <shrike@odin.com>)
 - libvirt doesn't report mac addresses for interaces in default pcs configuration. but we still need them to identify devices reliably. use the prlnet facility to workaround. (Sergey Galas <shrike@odin.com>)
 - mac address is optional. libvirt doesn't report it for interfaces from default pcs installation. do not even try to set unavailable value. (Sergey Galas <shrike@odin.com>)

* Wed Apr 01 2015 Sergey Galas' <shrike@odin.com> 7.0.10
 - sdk headers are in different place now. use correct include path (Sergey Galas <shrike@odin.com>)
 - all the logic for the network management moves to the dao class. use it to preform the network related tasks (Sergey Galas <shrike@odin.com>)
 - we hide all the details of how to access networks inside the dao type. use it to list the local networks. (Sergey Galas <shrike@odin.com>)
 - extract common network management operations into the dao class (Sergey Galas <shrike@odin.com>)
 - 1. implement libvirt agents for networks and interfaces. 2. create parallels networks inside the libvirt right after connect. (Sergey Galas <shrike@odin.com>)
 - we are always in server mode. nobody calls this code (Sergey Galas <shrike@odin.com>)
 - 1. libvirt mappings are in different namespaces now. use fqn to address entities. 2. add translation of the libvirt xml format for networks and interfaces to and from the dispatcher xml model. (Sergey Galas <shrike@odin.com>)
 - tags and labels of new mappings (Sergey Galas <shrike@odin.com>)
 - build new mappings (Sergey Galas <shrike@odin.com>)
 - network and interfaces mappings are introduced. move related stuff into separate data, enum and type sources. wrap with namespaces to prevent name clashes. (Sergey Galas <shrike@odin.com>)
 - all the domain specific enum declarations move to a dedicated header. leave the one of a general template only. (Sergey Galas <shrike@odin.com>)
 - Merge pull request #9 in VZS/prl-disp-service from ~IBAZHITOV/prl-disp-service:MERGE-PSBM-32620 to master (Dmitry Mishin <dim@parallels.com>)
 - Use problem report servers from PCS6 (#PSBM-32620) (Igor Bazhitov <ibazhitov@parallels.com>)

* Wed Apr 01 2015 Sergey Galas' <shrike@odin.com> 7.0.8
 - bug #PSBM-32473
 - all the logic for the network management moves to the dao class. use it to preform the network related tasks (Sergey Galas <shrike@odin.com>)
 - we hide all the details of how to access networks inside the dao type. use it to list the local networks. (Sergey Galas <shrike@odin.com>)
 - extract common network management operations into the dao class (Sergey Galas <shrike@odin.com>)
 - 1. implement libvirt agents for networks and interfaces. 2. create parallels networks inside the libvirt right after connect. (Sergey Galas <shrike@odin.com>)
 - we are always in server mode. nobody calls this code (Sergey Galas <shrike@odin.com>)
 - 1. libvirt mappings are in different namespaces now. use fqn to address entities. 2. add translation of the libvirt xml format for networks and interfaces to and from the dispatcher xml model. (Sergey Galas <shrike@odin.com>)
 - tags and labels of new mappings (Sergey Galas <shrike@odin.com>)
 - build new mappings (Sergey Galas <shrike@odin.com>)
 - network and interfaces mappings are introduced. move related stuff into separate data, enum and type sources. wrap with namespaces to prevent name clashes. (Sergey Galas <shrike@odin.com>)
 - all the domain specific enum declarations move to a dedicated header. leave the one of a general template only. (Sergey Galas <shrike@odin.com>)
 - Merge pull request #9 in VZS/prl-disp-service from ~IBAZHITOV/prl-disp-service:MERGE-PSBM-32620 to master (Dmitry Mishin <dim@parallels.com>)
 - Use problem report servers from PCS6 (#PSBM-32620) (Igor Bazhitov <ibazhitov@parallels.com>)

* Wed Mar 25 2015 Sergey Galas' <shrike@odin.com> 7.0.7
- properly wrap zlib to use it with system libtar (#PSBM-32581)

* Fri Mar 20 2015 Konstantin Volkov <wolf@parallels.com> 7.0.3
- Change SysV unit to systemd one #PSBM-32178

* Fri Mar 20 2015 Konstantin Volkov <wolf@parallels.com> - 7.0.2
- Initial changelog entry
